using System;
using System.Collections;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Management;
using System.Reflection;
using System.Text.RegularExpressions;
using System.Windows.Forms;
using System.Windows.Forms.Layout;
using CreateFolder.Properties;
using Microsoft.Win32;
using log4net;

namespace CreateFolder;

public class CreateFolderUtil
{
	private static readonly ILog LOG = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

	public static string getWindowsFolderName(string path)
	{
		LOG.DebugFormat("{0}：start", (object)MethodBase.GetCurrentMethod().Name);
		string empty = string.Empty;
		string text = ((string)Registry.GetValue("HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\ProfileList", "ProfilesDirectory", "")).Replace("\\", "\\\\");
		Regex regex = new Regex(text + ".+\\\\Desktop");
		Regex regex2 = new Regex(text + ".+\\\\Favorites");
		Regex regex3 = new Regex(text + ".+\\\\Documents");
		Regex regex4 = new Regex(text + ".+\\\\Downloads");
		Regex regex5 = new Regex(text + ".+\\\\Pictures");
		empty = (regex.IsMatch(path) ? (Resources.SP_FOLDER_DESKTOP + " (" + path + ")") : (regex2.IsMatch(path) ? (Resources.SP_FOLDER_FAVORITES + " (" + path + ")") : (regex3.IsMatch(path) ? (Resources.SP_FOLDER_DOCUMENTS + " (" + path + ")") : (regex4.IsMatch(path) ? (Resources.SP_FOLDER_DOWNLOADS + " (" + path + ")") : ((!regex5.IsMatch(path)) ? path : (Resources.SP_FOLDER_PICTURES + " (" + path + ")"))))));
		LOG.DebugFormat("{0}：end", (object)MethodBase.GetCurrentMethod().Name);
		return empty;
	}

	public static string getNotShareName(string folderPath)
	{
		//IL_0024: Unknown result type (might be due to invalid IL or missing references)
		//IL_002a: Expected O, but got Unknown
		LOG.DebugFormat("{0}：start", (object)MethodBase.GetCurrentMethod().Name);
		List<string> list = new List<string>();
		ManagementObjectSearcher val = new ManagementObjectSearcher("SELECT * FROM win32_share");
		try
		{
			foreach (var item in from ManagementObject x in (IEnumerable)val.Get()
				select new
				{
					Name = ((ManagementBaseObject)x)["Name"],
					Path = ((ManagementBaseObject)x)["Path"]
				})
			{
				if (folderPath.Equals(item.Path))
				{
					list.Add(item.Name.ToString());
				}
			}
		}
		finally
		{
			((IDisposable)val)?.Dispose();
		}
		string text = "";
		for (int i = 0; i < list.Count; i++)
		{
			text = ((!string.IsNullOrEmpty(text)) ? (text + ", " + list[i]) : list[i]);
		}
		LOG.DebugFormat("{0}：end", (object)MethodBase.GetCurrentMethod().Name);
		return text;
	}

	public static string getDesktopDirectory()
	{
		string path = (string)Registry.GetValue("HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\ProfileList", "ProfilesDirectory", "");
		string[] array = WmiManager.GetUserName().Split(new char[1] { '\\' });
		return Path.Combine(path, array[array.Count() - 1], "Desktop");
	}

	public static Control[] GetAllControls(Control top)
	{
		//IL_001a: Unknown result type (might be due to invalid IL or missing references)
		//IL_0020: Expected O, but got Unknown
		ArrayList arrayList = new ArrayList();
		foreach (Control item in (ArrangedElementCollection)top.Controls)
		{
			Control val = item;
			arrayList.Add(val);
			arrayList.AddRange(GetAllControls(val));
		}
		return (Control[])arrayList.ToArray(typeof(Control));
	}

	public static void ResetFontToControl(string className, Control[] controles)
	{
		//IL_0021: Unknown result type (might be due to invalid IL or missing references)
		//IL_0026: Unknown result type (might be due to invalid IL or missing references)
		//IL_0030: Expected O, but got Unknown
		foreach (Control val in controles)
		{
			val.Font = new Font(Resources.FONT, val.Font.SizeInPoints, val.Font.Style);
		}
	}
}
