using System;
using System.Security.Cryptography;
using System.Text;

namespace CreateFolder;

internal class CryptFolder
{
	public static string EncryptString(string sourceString, string destString)
	{
		RijndaelManaged rijndaelManaged = new RijndaelManaged();
		GenerateKeyFromKeyword(destString, rijndaelManaged.KeySize, out var key, rijndaelManaged.BlockSize, out var iv);
		rijndaelManaged.Key = key;
		rijndaelManaged.IV = iv;
		byte[] bytes = Encoding.UTF8.GetBytes(sourceString);
		ICryptoTransform cryptoTransform = rijndaelManaged.CreateEncryptor();
		byte[] inArray = cryptoTransform.TransformFinalBlock(bytes, 0, bytes.Length);
		cryptoTransform.Dispose();
		return Convert.ToBase64String(inArray);
	}

	public static string DecryptString(string sourceString, string keyword)
	{
		RijndaelManaged rijndaelManaged = new RijndaelManaged();
		GenerateKeyFromKeyword(keyword, rijndaelManaged.KeySize, out var key, rijndaelManaged.BlockSize, out var iv);
		rijndaelManaged.Key = key;
		rijndaelManaged.IV = iv;
		byte[] array = Convert.FromBase64String(sourceString);
		ICryptoTransform cryptoTransform = rijndaelManaged.CreateDecryptor();
		byte[] bytes = cryptoTransform.TransformFinalBlock(array, 0, array.Length);
		cryptoTransform.Dispose();
		return Encoding.UTF8.GetString(bytes);
	}

	private static void GenerateKeyFromKeyword(string keyword, int keySize, out byte[] key, int blockSize, out byte[] iv)
	{
		byte[] bytes = Encoding.UTF8.GetBytes("saltは8バイト以上");
		Rfc2898DeriveBytes rfc2898DeriveBytes = new Rfc2898DeriveBytes(keyword, bytes);
		rfc2898DeriveBytes.IterationCount = 1000;
		key = rfc2898DeriveBytes.GetBytes(keySize / 8);
		iv = rfc2898DeriveBytes.GetBytes(blockSize / 8);
	}
}
