using System;
using System.ComponentModel;
using System.Drawing;
using System.Reflection;
using System.Windows.Forms;
using CreateFolder.Properties;
using log4net;

namespace CreateFolder;

public class FormHelp : Form
{
	private WebBrowser webBrowser;

	private static readonly ILog LOG = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

	private IContainer components;

	public FormHelp(string helpfile)
	{
		//IL_000d: Unknown result type (might be due to invalid IL or missing references)
		//IL_0017: Expected O, but got Unknown
		InitializeComponent();
		try
		{
			webBrowser = new WebBrowser();
			((Control)webBrowser).Dock = (DockStyle)5;
			((Control)webBrowser).Name = "webBrowser";
			((Control)this).Controls.Add((Control)(object)webBrowser);
			string baseDirectory = AppDomain.CurrentDomain.BaseDirectory;
			string text = "file://" + baseDirectory + helpfile;
			((Control)this).Text = Resources.FORM_HELP_CAPTION;
			webBrowser.Navigate(text);
		}
		catch (Exception ex)
		{
			LOG.ErrorFormat("\n！！！ 手順画面作成処理でエラー  \n" + ex.ToString() + "\n*******************************", new object[0]);
		}
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		((Form)this).Dispose(disposing);
	}

	private void InitializeComponent()
	{
		//IL_0053: Unknown result type (might be due to invalid IL or missing references)
		//IL_005d: Expected O, but got Unknown
		ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof(FormHelp));
		((Control)this).SuspendLayout();
		((ContainerControl)this).AutoScaleDimensions = new SizeF(6f, 12f);
		((ContainerControl)this).AutoScaleMode = (AutoScaleMode)1;
		((Form)this).ClientSize = new Size(754, 596);
		((Form)this).Icon = (Icon)componentResourceManager.GetObject("$this.Icon");
		((Control)this).Name = "FormHelp";
		((Form)this).StartPosition = (FormStartPosition)4;
		((Control)this).Text = "Procedure";
		((Control)this).ResumeLayout(false);
	}
}
