using System;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using CreateFolder.Properties;

namespace CreateFolder;

public class FormProxyLogin : Form
{
	private IContainer components;

	private Button buttonOK;

	private Button buttonCancel;

	private Label labelAuthMsg;

	private Label labelUserName;

	private Label labelPassword;

	private TextBox textBoxUserName;

	private TextBox textBoxPassword;

	private Label labelErrorMsg;

	public FormProxyLogin(string userName, string password)
	{
		InitializeComponent();
		Control[] allControls = CreateFolderUtil.GetAllControls((Control)(object)this);
		CreateFolderUtil.ResetFontToControl(((object)this).GetType().Name, allControls);
		((Form)this).MaximizeBox = !((Form)this).MaximizeBox;
		((Form)this).MinimizeBox = !((Form)this).MinimizeBox;
		((Form)this).ControlBox = !((Form)this).ControlBox;
		((Control)this).Text = Resources.FORM_WIZARD_LOGIN_PROXY_TITLE;
		((Control)labelAuthMsg).Text = Resources.FORM_WIZARD_LOGIN_PROXY_MESSAGE;
		((Control)labelUserName).Text = Resources.FORM_WIZARD_LOGIN_PROXY_USERNAME;
		((Control)labelPassword).Text = Resources.FORM_WIZARD_LOGIN_PROXY_PASSWORD;
		((Control)buttonCancel).Text = Resources.FORM_WIZARD_LOGIN_PROXY_CANCEL;
		((Control)buttonOK).Text = Resources.FORM_WIZARD_LOGIN_PROXY_LOGIN;
		((Control)textBoxUserName).Text = userName;
		((Control)textBoxPassword).Text = password;
		((Control)labelUserName).ForeColor = Color.FromArgb(63, 72, 204);
		((Control)labelPassword).ForeColor = Color.FromArgb(63, 72, 204);
		((Form)this).TopMost = true;
	}

	private void buttonOK_Click(object sender, EventArgs e)
	{
		((Form)this).DialogResult = (DialogResult)1;
	}

	private void buttonCancel_Click(object sender, EventArgs e)
	{
		//IL_000b: Unknown result type (might be due to invalid IL or missing references)
		//IL_0011: Invalid comparison between Unknown and I4
		if ((int)MessageBox.Show(Resources.FORM_WIZARD_LOGIN_PROXY_LOGINCANCEL_CONFIRM, Resources.FORM_WIZARD_LOGIN_PROXY_TITLE, (MessageBoxButtons)1) == 1)
		{
			Console.WriteLine("Click OK.");
			((Form)this).DialogResult = (DialogResult)2;
		}
		else
		{
			Console.WriteLine("Click Cancel.");
			((Form)this).DialogResult = (DialogResult)4;
		}
	}

	public string getAuthUser()
	{
		return ((Control)textBoxUserName).Text;
	}

	public string getAuthPass()
	{
		return ((Control)textBoxPassword).Text;
	}

	public void setLoginErrorMsg(string msg)
	{
		((Control)labelErrorMsg).Text = msg;
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		((Form)this).Dispose(disposing);
	}

	private void InitializeComponent()
	{
		//IL_0011: Unknown result type (might be due to invalid IL or missing references)
		//IL_001b: Expected O, but got Unknown
		//IL_001c: Unknown result type (might be due to invalid IL or missing references)
		//IL_0026: Expected O, but got Unknown
		//IL_0027: Unknown result type (might be due to invalid IL or missing references)
		//IL_0031: Expected O, but got Unknown
		//IL_0032: Unknown result type (might be due to invalid IL or missing references)
		//IL_003c: Expected O, but got Unknown
		//IL_003d: Unknown result type (might be due to invalid IL or missing references)
		//IL_0047: Expected O, but got Unknown
		//IL_0048: Unknown result type (might be due to invalid IL or missing references)
		//IL_0052: Expected O, but got Unknown
		//IL_0053: Unknown result type (might be due to invalid IL or missing references)
		//IL_005d: Expected O, but got Unknown
		//IL_005e: Unknown result type (might be due to invalid IL or missing references)
		//IL_0068: Expected O, but got Unknown
		//IL_0501: Unknown result type (might be due to invalid IL or missing references)
		//IL_050b: Expected O, but got Unknown
		ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof(FormProxyLogin));
		buttonOK = new Button();
		buttonCancel = new Button();
		labelAuthMsg = new Label();
		labelUserName = new Label();
		labelPassword = new Label();
		textBoxUserName = new TextBox();
		textBoxPassword = new TextBox();
		labelErrorMsg = new Label();
		((Control)this).SuspendLayout();
		((Control)buttonOK).Anchor = (AnchorStyles)10;
		((Control)buttonOK).AutoSize = true;
		buttonOK.DialogResult = (DialogResult)1;
		((Control)buttonOK).Location = new Point(112, 139);
		((Control)buttonOK).Name = "buttonOK";
		((Control)buttonOK).Size = new Size(75, 23);
		((Control)buttonOK).TabIndex = 4;
		((Control)buttonOK).Text = "OK";
		((ButtonBase)buttonOK).UseVisualStyleBackColor = true;
		((Control)buttonOK).Click += buttonOK_Click;
		((Control)buttonCancel).Anchor = (AnchorStyles)10;
		((Control)buttonCancel).AutoSize = true;
		buttonCancel.DialogResult = (DialogResult)2;
		((Control)buttonCancel).Location = new Point(215, 139);
		((Control)buttonCancel).Name = "buttonCancel";
		((Control)buttonCancel).Size = new Size(75, 23);
		((Control)buttonCancel).TabIndex = 5;
		((Control)buttonCancel).Text = "Cancel";
		((ButtonBase)buttonCancel).UseVisualStyleBackColor = true;
		((Control)buttonCancel).Click += buttonCancel_Click;
		((Control)labelAuthMsg).AutoSize = true;
		((Control)labelAuthMsg).Location = new Point(12, 25);
		((Control)labelAuthMsg).Name = "labelAuthMsg";
		((Control)labelAuthMsg).Size = new Size(254, 12);
		((Control)labelAuthMsg).TabIndex = 1;
		((Control)labelAuthMsg).Text = "Enter the administrator user name and password";
		((Control)labelUserName).Anchor = (AnchorStyles)9;
		((Control)labelUserName).AutoSize = true;
		((Control)labelUserName).ForeColor = Color.Blue;
		((Control)labelUserName).Location = new Point(43, 72);
		((Control)labelUserName).Name = "labelUserName";
		((Control)labelUserName).Size = new Size(62, 12);
		((Control)labelUserName).TabIndex = 1;
		((Control)labelUserName).Text = "User Name";
		((Control)labelPassword).Anchor = (AnchorStyles)9;
		((Control)labelPassword).AutoSize = true;
		((Control)labelPassword).ForeColor = Color.Blue;
		((Control)labelPassword).Location = new Point(43, 105);
		((Control)labelPassword).Name = "labelPassword";
		((Control)labelPassword).Size = new Size(54, 12);
		((Control)labelPassword).TabIndex = 1;
		((Control)labelPassword).Text = "Password";
		((Control)textBoxUserName).Anchor = (AnchorStyles)9;
		((Control)textBoxUserName).Location = new Point(112, 69);
		((Control)textBoxUserName).Name = "textBoxUserName";
		((Control)textBoxUserName).Size = new Size(216, 19);
		((Control)textBoxUserName).TabIndex = 1;
		((Control)textBoxPassword).Anchor = (AnchorStyles)9;
		((Control)textBoxPassword).Location = new Point(112, 102);
		((Control)textBoxPassword).Name = "textBoxPassword";
		((Control)textBoxPassword).Size = new Size(216, 19);
		((Control)textBoxPassword).TabIndex = 2;
		textBoxPassword.UseSystemPasswordChar = true;
		((Control)labelErrorMsg).AutoSize = true;
		((Control)labelErrorMsg).ForeColor = Color.Red;
		((Control)labelErrorMsg).Location = new Point(12, 44);
		((Control)labelErrorMsg).Name = "labelErrorMsg";
		((Control)labelErrorMsg).Size = new Size(35, 12);
		((Control)labelErrorMsg).TabIndex = 5;
		((Control)labelErrorMsg).Text = "label1";
		((Form)this).AcceptButton = (IButtonControl)(object)buttonOK;
		((ContainerControl)this).AutoScaleDimensions = new SizeF(6f, 12f);
		((ContainerControl)this).AutoScaleMode = (AutoScaleMode)1;
		((Form)this).ClientSize = new Size(377, 174);
		((Control)this).Controls.Add((Control)(object)labelErrorMsg);
		((Control)this).Controls.Add((Control)(object)textBoxPassword);
		((Control)this).Controls.Add((Control)(object)textBoxUserName);
		((Control)this).Controls.Add((Control)(object)labelPassword);
		((Control)this).Controls.Add((Control)(object)labelUserName);
		((Control)this).Controls.Add((Control)(object)labelAuthMsg);
		((Control)this).Controls.Add((Control)(object)buttonCancel);
		((Control)this).Controls.Add((Control)(object)buttonOK);
		((Form)this).Icon = (Icon)componentResourceManager.GetObject("$this.Icon");
		((Form)this).MaximizeBox = false;
		((Form)this).MinimizeBox = false;
		((Control)this).Name = "FormProxyLogin";
		((Form)this).StartPosition = (FormStartPosition)4;
		((Control)this).Text = "Administrator Authentication";
		((Control)this).ResumeLayout(false);
		((Control)this).PerformLayout();
	}
}
