using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Net;
using System.Reflection;
using System.Windows.Forms;
using CreateFolder.Properties;
using log4net;

namespace CreateFolder;

public class FormSetIPAddress : Form
{
	private static readonly ILog LOG = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

	private static readonly int IPAddressMax = 255;

	private static readonly string IPAddressMaxStr = "255";

	private string setIPAddress = string.Empty;

	private static FormSetIPAddress f = new FormSetIPAddress();

	private List<TextBox> textBoxes;

	private IContainer components;

	private Label label2;

	private Label label3;

	private Label label4;

	private Label label_IPAddress;

	private TextBox textBox1;

	private Button buttonEnter;

	private Button buttonCancel;

	private TextBox textBox2;

	private TextBox textBox3;

	private TextBox textBox4;

	public FormSetIPAddress()
	{
		InitializeComponent();
		Control[] allControls = CreateFolderUtil.GetAllControls((Control)(object)this);
		CreateFolderUtil.ResetFontToControl(((object)this).GetType().Name, allControls);
		((Control)this).Text = Resources.FORM_SETIPADDRESS_CAPTION;
		((Control)label_IPAddress).Text = Resources.TXT_MACHINE_INFO_03_13;
		((Control)buttonEnter).Text = Resources.ITEM_BUTTON_SET;
		((Control)buttonCancel).Text = Resources.ITEM_BUTTON_CANCEL;
		((Control)textBox1).Text = string.Empty;
		((Control)textBox2).Text = string.Empty;
		((Control)textBox3).Text = string.Empty;
		((Control)textBox4).Text = string.Empty;
		textBoxes = new List<TextBox>();
		textBoxes.Add(textBox1);
		textBoxes.Add(textBox2);
		textBoxes.Add(textBox3);
		textBoxes.Add(textBox4);
	}

	public static string GetSetIPAddress()
	{
		//IL_001e: Unknown result type (might be due to invalid IL or missing references)
		LOG.DebugFormat("{0}：start", (object)MethodBase.GetCurrentMethod().Name);
		((Form)f).ShowDialog();
		LOG.DebugFormat("{0}：end", (object)MethodBase.GetCurrentMethod().Name);
		return f.setIPAddress;
	}

	private void buttonEnter_Click(object sender, EventArgs e)
	{
		//IL_018e: Unknown result type (might be due to invalid IL or missing references)
		LOG.DebugFormat("{0}：start", (object)MethodBase.GetCurrentMethod().Name);
		int result = 0;
		int result2 = 0;
		int result3 = 0;
		int result4 = 0;
		bool flag = true;
		string text = string.Empty;
		if (!int.TryParse(((Control)textBox1).Text, out result))
		{
			flag = false;
			LOG.DebugFormat("{0}：format error octet1: {1}", (object)MethodBase.GetCurrentMethod().Name, (object)result);
		}
		if (!int.TryParse(((Control)textBox2).Text, out result2))
		{
			flag = false;
			LOG.DebugFormat("{0}：format error octet2: {1}", (object)MethodBase.GetCurrentMethod().Name, (object)result2);
		}
		if (!int.TryParse(((Control)textBox3).Text, out result3))
		{
			flag = false;
			LOG.DebugFormat("{0}：format error octet3: {1}", (object)MethodBase.GetCurrentMethod().Name, (object)result3);
		}
		if (!int.TryParse(((Control)textBox4).Text, out result4))
		{
			flag = false;
			LOG.DebugFormat("{0}：format error octet4: {1}", (object)MethodBase.GetCurrentMethod().Name, (object)result4);
		}
		if (flag)
		{
			text = result + "." + result2 + "." + result3 + "." + result4;
			flag = IsFormalIPAddress(text);
		}
		if (flag)
		{
			setIPAddress = text;
			((Control)this).Visible = false;
		}
		else
		{
			MessageBox.Show(Resources.ERR_SET_ILLEGAL_FORMAT_1_2 + "\n" + Resources.ERR_SET_ILLEGAL_FORMAT_2_2, Resources.ERR_SET_ILLEGAL_FORMAT_CAPTION, (MessageBoxButtons)0, (MessageBoxIcon)16);
			LOG.DebugFormat("{0}：format error tempIpAddr: {1} : {2}.{3}.{4}.{5}", new object[6]
			{
				MethodBase.GetCurrentMethod().Name,
				text,
				((Control)textBox1).Text,
				((Control)textBox2).Text,
				((Control)textBox3).Text,
				((Control)textBox4).Text
			});
		}
		LOG.DebugFormat("{0}：end", (object)MethodBase.GetCurrentMethod().Name);
	}

	private bool IsFormalIPAddress(string ipAddr)
	{
		IPAddress address = null;
		return IPAddress.TryParse(ipAddr, out address);
	}

	private void buttonCancel_Click(object sender, EventArgs e)
	{
		LOG.DebugFormat("{0}：start", (object)MethodBase.GetCurrentMethod().Name);
		((Control)this).Visible = false;
		LOG.DebugFormat("{0}：end", (object)MethodBase.GetCurrentMethod().Name);
	}

	private void textBox_KeyPress(object sender, KeyPressEventArgs e)
	{
		//IL_0013: Unknown result type (might be due to invalid IL or missing references)
		//IL_001e: Expected O, but got Unknown
		if (e.KeyChar == '.')
		{
			e.Handled = true;
			TextBox val = nextTextBox((TextBox)sender, direction: true);
			if (val != null)
			{
				((Control)val).Focus();
			}
			else
			{
				((Control)buttonEnter).Focus();
			}
		}
		if ((e.KeyChar < '0' || '9' < e.KeyChar) && e.KeyChar != '\b')
		{
			e.Handled = true;
		}
	}

	private void textBox_KeyDown(object sender, KeyEventArgs e)
	{
		//IL_0001: Unknown result type (might be due to invalid IL or missing references)
		//IL_0007: Expected O, but got Unknown
		//IL_001b: Unknown result type (might be due to invalid IL or missing references)
		//IL_0022: Invalid comparison between Unknown and I4
		//IL_004a: Unknown result type (might be due to invalid IL or missing references)
		//IL_0051: Invalid comparison between Unknown and I4
		TextBox val = (TextBox)sender;
		int selectionStart = ((TextBoxBase)val).SelectionStart;
		int length = ((Control)val).Text.Length;
		if ((int)e.KeyData == 39 && selectionStart == length)
		{
			TextBox val2 = nextTextBox(val, direction: true);
			if (val2 != null)
			{
				((Control)val2).Focus();
			}
			else
			{
				((Control)buttonEnter).Focus();
			}
		}
		if ((int)e.KeyData == 37 && selectionStart == 0)
		{
			TextBox val3 = nextTextBox(val, direction: false);
			if (val3 != null)
			{
				((Control)val3).Focus();
			}
		}
	}

	private void textBox_TextChanged(object sender, EventArgs e)
	{
		//IL_0001: Unknown result type (might be due to invalid IL or missing references)
		//IL_0007: Expected O, but got Unknown
		TextBox val = (TextBox)sender;
		if (((Control)val).Text.Length < 3)
		{
			return;
		}
		try
		{
			if (int.Parse(((Control)val).Text) > IPAddressMax)
			{
				((Control)val).Text = IPAddressMaxStr;
			}
		}
		catch (Exception ex)
		{
			LOG.DebugFormat("{0}：Exception {1}", (object)MethodBase.GetCurrentMethod().DeclaringType.Name, (object)ex.ToString());
			((Control)val).Text = IPAddressMaxStr;
		}
		TextBox val2 = nextTextBox(val, direction: true);
		if (val2 != null)
		{
			((Control)val2).Focus();
		}
		else
		{
			((Control)buttonEnter).Focus();
		}
	}

	private TextBox nextTextBox(TextBox currentTextBox, bool direction)
	{
		TextBox result = null;
		int num = textBoxes.IndexOf(currentTextBox);
		if (num >= 0)
		{
			int num2 = (direction ? (num + 1) : (num - 1));
			if (num2 >= 0 && num2 < textBoxes.Count)
			{
				result = textBoxes[num2];
			}
		}
		return result;
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		((Form)this).Dispose(disposing);
	}

	private void InitializeComponent()
	{
		//IL_0011: Unknown result type (might be due to invalid IL or missing references)
		//IL_001b: Expected O, but got Unknown
		//IL_001c: Unknown result type (might be due to invalid IL or missing references)
		//IL_0026: Expected O, but got Unknown
		//IL_0027: Unknown result type (might be due to invalid IL or missing references)
		//IL_0031: Expected O, but got Unknown
		//IL_0032: Unknown result type (might be due to invalid IL or missing references)
		//IL_003c: Expected O, but got Unknown
		//IL_003d: Unknown result type (might be due to invalid IL or missing references)
		//IL_0047: Expected O, but got Unknown
		//IL_0048: Unknown result type (might be due to invalid IL or missing references)
		//IL_0052: Expected O, but got Unknown
		//IL_0053: Unknown result type (might be due to invalid IL or missing references)
		//IL_005d: Expected O, but got Unknown
		//IL_005e: Unknown result type (might be due to invalid IL or missing references)
		//IL_0068: Expected O, but got Unknown
		//IL_0069: Unknown result type (might be due to invalid IL or missing references)
		//IL_0073: Expected O, but got Unknown
		//IL_0074: Unknown result type (might be due to invalid IL or missing references)
		//IL_007e: Expected O, but got Unknown
		//IL_00a1: Unknown result type (might be due to invalid IL or missing references)
		//IL_00ab: Expected O, but got Unknown
		//IL_0128: Unknown result type (might be due to invalid IL or missing references)
		//IL_0132: Expected O, but got Unknown
		//IL_01b2: Unknown result type (might be due to invalid IL or missing references)
		//IL_01bc: Expected O, but got Unknown
		//IL_031c: Unknown result type (might be due to invalid IL or missing references)
		//IL_0326: Expected O, but got Unknown
		//IL_0333: Unknown result type (might be due to invalid IL or missing references)
		//IL_033d: Expected O, but got Unknown
		//IL_04de: Unknown result type (might be due to invalid IL or missing references)
		//IL_04e8: Expected O, but got Unknown
		//IL_04f5: Unknown result type (might be due to invalid IL or missing references)
		//IL_04ff: Expected O, but got Unknown
		//IL_0582: Unknown result type (might be due to invalid IL or missing references)
		//IL_058c: Expected O, but got Unknown
		//IL_0599: Unknown result type (might be due to invalid IL or missing references)
		//IL_05a3: Expected O, but got Unknown
		//IL_0626: Unknown result type (might be due to invalid IL or missing references)
		//IL_0630: Expected O, but got Unknown
		//IL_063d: Unknown result type (might be due to invalid IL or missing references)
		//IL_0647: Expected O, but got Unknown
		//IL_073e: Unknown result type (might be due to invalid IL or missing references)
		//IL_0748: Expected O, but got Unknown
		ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof(FormSetIPAddress));
		label2 = new Label();
		label3 = new Label();
		label4 = new Label();
		label_IPAddress = new Label();
		textBox1 = new TextBox();
		buttonEnter = new Button();
		buttonCancel = new Button();
		textBox2 = new TextBox();
		textBox3 = new TextBox();
		textBox4 = new TextBox();
		((Control)this).SuspendLayout();
		((Control)label2).AutoSize = true;
		((Control)label2).Font = new Font("MS UI Gothic", 12f, (FontStyle)1);
		label2.ImeMode = (ImeMode)0;
		((Control)label2).Location = new Point(108, 24);
		((Control)label2).Name = "label2";
		((Control)label2).Size = new Size(12, 16);
		((Control)label2).TabIndex = 7;
		((Control)label2).Text = ".";
		((Control)label3).AutoSize = true;
		((Control)label3).Font = new Font("MS UI Gothic", 12f, (FontStyle)1);
		label3.ImeMode = (ImeMode)0;
		((Control)label3).Location = new Point(140, 24);
		((Control)label3).Name = "label3";
		((Control)label3).Size = new Size(12, 16);
		((Control)label3).TabIndex = 8;
		((Control)label3).Text = ".";
		((Control)label4).AutoSize = true;
		((Control)label4).Font = new Font("MS UI Gothic", 12f, (FontStyle)1);
		label4.ImeMode = (ImeMode)0;
		((Control)label4).Location = new Point(172, 24);
		((Control)label4).Name = "label4";
		((Control)label4).Size = new Size(12, 16);
		((Control)label4).TabIndex = 9;
		((Control)label4).Text = ".";
		((Control)label_IPAddress).AutoSize = true;
		label_IPAddress.ImeMode = (ImeMode)0;
		((Control)label_IPAddress).Location = new Point(12, 24);
		((Control)label_IPAddress).Name = "label_IPAddress";
		((Control)label_IPAddress).Size = new Size(63, 12);
		((Control)label_IPAddress).TabIndex = 3;
		((Control)label_IPAddress).Text = "IP-Address";
		((Control)textBox1).ImeMode = (ImeMode)3;
		((Control)textBox1).Location = new Point(83, 21);
		((Control)textBox1).Name = "textBox1";
		((Control)textBox1).Size = new Size(28, 19);
		((Control)textBox1).TabIndex = 1;
		((Control)textBox1).Text = "000";
		textBox1.TextAlign = (HorizontalAlignment)1;
		((Control)textBox1).TextChanged += textBox_TextChanged;
		((Control)textBox1).KeyDown += new KeyEventHandler(textBox_KeyDown);
		((Control)textBox1).KeyPress += new KeyPressEventHandler(textBox_KeyPress);
		((Control)buttonEnter).AutoSize = true;
		((ButtonBase)buttonEnter).ImeMode = (ImeMode)0;
		((Control)buttonEnter).Location = new Point(45, 56);
		((Control)buttonEnter).Name = "buttonEnter";
		((Control)buttonEnter).Size = new Size(75, 23);
		((Control)buttonEnter).TabIndex = 5;
		((Control)buttonEnter).Text = "Set";
		((ButtonBase)buttonEnter).UseVisualStyleBackColor = true;
		((Control)buttonEnter).Click += buttonEnter_Click;
		((Control)buttonCancel).AutoSize = true;
		((ButtonBase)buttonCancel).ImeMode = (ImeMode)0;
		((Control)buttonCancel).Location = new Point(132, 56);
		((Control)buttonCancel).Name = "buttonCancel";
		((Control)buttonCancel).Size = new Size(75, 23);
		((Control)buttonCancel).TabIndex = 6;
		((Control)buttonCancel).Text = "Cancel";
		((ButtonBase)buttonCancel).UseVisualStyleBackColor = true;
		((Control)buttonCancel).Click += buttonCancel_Click;
		((Control)textBox2).ImeMode = (ImeMode)3;
		((Control)textBox2).Location = new Point(115, 21);
		((Control)textBox2).Name = "textBox2";
		((Control)textBox2).Size = new Size(28, 19);
		((Control)textBox2).TabIndex = 2;
		textBox2.TextAlign = (HorizontalAlignment)1;
		((Control)textBox2).TextChanged += textBox_TextChanged;
		((Control)textBox2).KeyDown += new KeyEventHandler(textBox_KeyDown);
		((Control)textBox2).KeyPress += new KeyPressEventHandler(textBox_KeyPress);
		((Control)textBox3).ImeMode = (ImeMode)3;
		((Control)textBox3).Location = new Point(147, 21);
		((Control)textBox3).Name = "textBox3";
		((Control)textBox3).Size = new Size(28, 19);
		((Control)textBox3).TabIndex = 3;
		textBox3.TextAlign = (HorizontalAlignment)1;
		((Control)textBox3).TextChanged += textBox_TextChanged;
		((Control)textBox3).KeyDown += new KeyEventHandler(textBox_KeyDown);
		((Control)textBox3).KeyPress += new KeyPressEventHandler(textBox_KeyPress);
		((Control)textBox4).ImeMode = (ImeMode)3;
		((Control)textBox4).Location = new Point(179, 21);
		((Control)textBox4).Name = "textBox4";
		((Control)textBox4).Size = new Size(28, 19);
		((Control)textBox4).TabIndex = 4;
		textBox4.TextAlign = (HorizontalAlignment)1;
		((Control)textBox4).TextChanged += textBox_TextChanged;
		((Control)textBox4).KeyDown += new KeyEventHandler(textBox_KeyDown);
		((Control)textBox4).KeyPress += new KeyPressEventHandler(textBox_KeyPress);
		((Form)this).AcceptButton = (IButtonControl)(object)buttonEnter;
		((ContainerControl)this).AutoScaleDimensions = new SizeF(6f, 12f);
		((ContainerControl)this).AutoScaleMode = (AutoScaleMode)1;
		((Form)this).ClientSize = new Size(221, 90);
		((Control)this).Controls.Add((Control)(object)textBox4);
		((Control)this).Controls.Add((Control)(object)textBox3);
		((Control)this).Controls.Add((Control)(object)textBox2);
		((Control)this).Controls.Add((Control)(object)buttonCancel);
		((Control)this).Controls.Add((Control)(object)buttonEnter);
		((Control)this).Controls.Add((Control)(object)textBox1);
		((Control)this).Controls.Add((Control)(object)label_IPAddress);
		((Control)this).Controls.Add((Control)(object)label4);
		((Control)this).Controls.Add((Control)(object)label3);
		((Control)this).Controls.Add((Control)(object)label2);
		((Form)this).FormBorderStyle = (FormBorderStyle)1;
		((Form)this).Icon = (Icon)componentResourceManager.GetObject("$this.Icon");
		((Form)this).MaximizeBox = false;
		((Form)this).MinimizeBox = false;
		((Control)this).Name = "FormSetIPAddress";
		((Form)this).StartPosition = (FormStartPosition)4;
		((Control)this).Text = "Enter IP-Address";
		((Control)this).ResumeLayout(false);
		((Control)this).PerformLayout();
	}
}
