using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Reflection;
using System.Windows.Forms;
using CreateFolder.Properties;
using log4net;

namespace CreateFolder;

public class FormSettingHeadLine : Form
{
	public enum PRIMAX_PROC_MODE
	{
		NOT_PRIMAX,
		INSERT,
		UPDATE
	}

	private static readonly ILog LOG = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

	private bool PrimaxOneTouchKeyNot;

	private bool PrimaxStartChecked;

	private bool PrimaxButtonOK;

	public bool PrimaxWizToTrp;

	private int prevRegistrationNo;

	private int prevComboBoxTitle1;

	private int prevComboBoxTitle2;

	private int prevComboBoxTitle3;

	private int prevIndexRegularHeading;

	private bool prevRegistNumSpecifyRadioButton = true;

	private bool prevRegistNumNotSpecifyRadioButton = true;

	private bool initflg = true;

	private IContainer components;

	private ComboBox comboBoxTitle1;

	private Label label_Title1;

	private ComboBox comboBoxTitle2;

	private Label label_Title2;

	private ComboBox comboBoxTitle3;

	private Label label_Title3;

	private Button buttonOK;

	private Label label3;

	private NumericUpDown registrationNo;

	private RadioButton registNumNotSpecifyRadioButton;

	private RadioButton registNumSpecifyRadioButton;

	private Label label_AddFreq;

	private RadioButton radioButtonAddFreq;

	private RadioButton radioButtonNotAddFreq;

	private Label label_NumSpecify;

	private Panel panel1;

	private Panel panel2;

	private Button buttonNG;

	public int RegistrationNo
	{
		get
		{
			if (!registNumSpecifyRadioButton.Checked)
			{
				return 0;
			}
			return decimal.ToInt32(registrationNo.Value);
		}
		set
		{
			registrationNo.Value = value;
		}
	}

	public bool RegistNumSpecify
	{
		set
		{
			registNumSpecifyRadioButton.Checked = value;
			registNumNotSpecifyRadioButton.Checked = !value;
		}
	}

	public int Index1Headline
	{
		get
		{
			return ((ListControl)comboBoxTitle1).SelectedIndex;
		}
		set
		{
			((ListControl)comboBoxTitle1).SelectedIndex = value;
		}
	}

	public int Index2Headline
	{
		get
		{
			return ((ListControl)comboBoxTitle2).SelectedIndex;
		}
		set
		{
			((ListControl)comboBoxTitle2).SelectedIndex = value;
		}
	}

	public int Index3Headline
	{
		get
		{
			return ((ListControl)comboBoxTitle3).SelectedIndex;
		}
		set
		{
			((ListControl)comboBoxTitle3).SelectedIndex = value;
		}
	}

	public string Str1Headline => comboBoxTitle1.SelectedItem.ToString();

	public string Str2Headline => comboBoxTitle2.SelectedItem.ToString();

	public string Str3Headline => comboBoxTitle3.SelectedItem.ToString();

	public int IndexRegularHeading
	{
		get
		{
			if (!radioButtonAddFreq.Checked)
			{
				return 2;
			}
			return 1;
		}
		set
		{
			radioButtonAddFreq.Checked = value == 1;
			radioButtonNotAddFreq.Checked = !radioButtonAddFreq.Checked;
		}
	}

	public string StrRegularHeading
	{
		get
		{
			if (!radioButtonAddFreq.Checked)
			{
				return ((Control)radioButtonNotAddFreq).Text;
			}
			return ((Control)radioButtonAddFreq).Text;
		}
	}

	public PRIMAX_PROC_MODE PrimaxProcMode { get; set; }

	public List<OneTouchKeyInfo> PrimaxOneTouchKeyList { get; set; }

	public bool PrimaxIndexStatus { get; set; }

	public int PrimaxRegistrationNo { get; set; }

	private void saveParameter()
	{
		prevRegistrationNo = RegistrationNo;
		prevComboBoxTitle1 = ((ListControl)comboBoxTitle1).SelectedIndex;
		prevComboBoxTitle2 = ((ListControl)comboBoxTitle2).SelectedIndex;
		prevComboBoxTitle3 = ((ListControl)comboBoxTitle3).SelectedIndex;
		prevIndexRegularHeading = IndexRegularHeading;
		prevRegistNumSpecifyRadioButton = registNumSpecifyRadioButton.Checked;
		prevRegistNumNotSpecifyRadioButton = registNumNotSpecifyRadioButton.Checked;
	}

	private void loadParameter()
	{
		if (prevRegistrationNo == 0)
		{
			registrationNo.Value = 1m;
		}
		else
		{
			registrationNo.Value = prevRegistrationNo;
		}
		((ListControl)comboBoxTitle1).SelectedIndex = prevComboBoxTitle1;
		((ListControl)comboBoxTitle2).SelectedIndex = prevComboBoxTitle2;
		((ListControl)comboBoxTitle3).SelectedIndex = prevComboBoxTitle3;
		IndexRegularHeading = prevIndexRegularHeading;
		registNumSpecifyRadioButton.Checked = prevRegistNumSpecifyRadioButton;
		registNumNotSpecifyRadioButton.Checked = prevRegistNumNotSpecifyRadioButton;
	}

	public void SetHeadLine(Form parent)
	{
		//IL_0008: Unknown result type (might be due to invalid IL or missing references)
		saveParameter();
		((Form)this).ShowDialog((IWin32Window)(object)parent);
	}

	public void Initialize(bool regNoEnable = true)
	{
		int primaxRegistrationNo = RegistrationNo;
		if (PRIMAX_PROC_MODE.UPDATE == PrimaxProcMode)
		{
			primaxRegistrationNo = PrimaxRegistrationNo;
		}
		if (initflg)
		{
			initflg = false;
			if (primaxRegistrationNo == 0)
			{
				registrationNo.Value = 1m;
				PrimaxStartChecked = true;
			}
			else
			{
				registrationNo.Value = primaxRegistrationNo;
				PrimaxStartChecked = false;
			}
			((ListControl)comboBoxTitle1).SelectedIndex = 0;
			((ListControl)comboBoxTitle2).SelectedIndex = 0;
			((ListControl)comboBoxTitle3).SelectedIndex = 0;
			radioButtonAddFreq.Checked = true;
		}
		if (primaxRegistrationNo == 0)
		{
			registNumNotSpecifyRadioButton.Checked = true;
		}
		else
		{
			registNumSpecifyRadioButton.Checked = true;
		}
		PrimaxButtonOK = false;
		((Control)registNumSpecifyRadioButton).Enabled = regNoEnable;
		((Control)registNumNotSpecifyRadioButton).Enabled = regNoEnable;
		registrationNo.Minimum = 1m;
		registrationNo.Maximum = 50000m;
		Color.FromArgb(63, 72, 204);
		((Control)label_NumSpecify).Text = Resources.FORM_SETTINGHEADLINE_NUM_SPECIFY;
		bool visible = true;
		PrimaxOneTouchKeyNot = false;
		if (PrimaxProcMode != 0)
		{
			PrimaxOneTouchKeyNot = true;
			int num = -999;
			for (int i = 0; i < PrimaxOneTouchKeyList.Count; i++)
			{
				if (string.IsNullOrEmpty(PrimaxOneTouchKeyList[i].name))
				{
					num = PrimaxOneTouchKeyList[i].no;
					PrimaxOneTouchKeyNot = false;
					break;
				}
			}
			if (0 > num)
			{
				((Control)registrationNo).Enabled = true;
			}
			if (!regNoEnable)
			{
				((Control)registrationNo).Enabled = false;
			}
			if (primaxRegistrationNo == 0)
			{
				if (num > 0)
				{
					registrationNo.Value = num;
				}
			}
			else if (num > 0)
			{
				registrationNo.Value = primaxRegistrationNo;
			}
			else
			{
				registrationNo.Value = primaxRegistrationNo;
				((Control)registrationNo).Enabled = true;
				PrimaxIndexStatus = true;
			}
			visible = false;
			((Control)label_NumSpecify).Text = Resources.FORM_SETTINGHEADLINE_ONE_TOUCH_KEY;
			if (PrimaxIndexStatus)
			{
				registNumNotSpecifyRadioButton.Checked = true;
				PrimaxStartChecked = true;
			}
		}
		((Control)label_Title1).Visible = visible;
		((Control)label_Title2).Visible = visible;
		((Control)label_Title3).Visible = visible;
		((Control)comboBoxTitle1).Visible = visible;
		((Control)comboBoxTitle2).Visible = visible;
		((Control)comboBoxTitle3).Visible = visible;
		((Control)panel1).Visible = visible;
	}

	public FormSettingHeadLine(string lang)
	{
		if (lang.Equals("ja") || lang.Equals("en"))
		{
			InitializeComponent();
		}
		else
		{
			InitializeComponent_MultiLang();
		}
		setComboboxItems(comboBoxTitle1.Items, Resources.TITLE_MEMBER_01);
		setComboboxItems(comboBoxTitle2.Items, Resources.TITLE_MEMBER_02);
		setComboboxItems(comboBoxTitle3.Items, Resources.TITLE_MEMBER_03);
		((Form)this).StartPosition = (FormStartPosition)4;
		((ListControl)comboBoxTitle1).SelectedIndex = 0;
		((ListControl)comboBoxTitle2).SelectedIndex = 0;
		((ListControl)comboBoxTitle3).SelectedIndex = 0;
		Control[] allControls = CreateFolderUtil.GetAllControls((Control)(object)this);
		CreateFolderUtil.ResetFontToControl(((object)this).GetType().Name, allControls);
		((Control)this).Text = Resources.SETTING_HEADLINE;
		((Control)label_NumSpecify).Text = Resources.FORM_SETTINGHEADLINE_NUM_SPECIFY;
		((Control)registNumSpecifyRadioButton).Text = Resources.REGIST_NO_SPECIFY;
		((Control)registNumNotSpecifyRadioButton).Text = Resources.REGIST_NO_NOT_SPECIFY;
		((Control)label_Title1).Text = Resources.TITLE_01;
		((Control)label_Title2).Text = Resources.TITLE_02;
		((Control)label_Title3).Text = Resources.TITLE_03;
		((Control)label_AddFreq).Text = Resources.TITLE_ADD_TO_FREQ_SETTING;
		((Control)radioButtonAddFreq).Text = Resources.DO_DO;
		((Control)radioButtonNotAddFreq).Text = Resources.DO_NOT;
		((Control)buttonOK).Text = Resources.ITEM_BUTTON_SET;
		((Control)buttonNG).Text = Resources.ITEM_BUTTON_CANCEL;
		((Control)label_NumSpecify).ForeColor = Color.FromArgb(63, 72, 204);
		((Control)label_Title1).ForeColor = Color.FromArgb(63, 72, 204);
		((Control)label_Title2).ForeColor = Color.FromArgb(63, 72, 204);
		((Control)label_Title3).ForeColor = Color.FromArgb(63, 72, 204);
		((Control)label_AddFreq).ForeColor = Color.FromArgb(63, 72, 204);
		PrimaxProcMode = PRIMAX_PROC_MODE.NOT_PRIMAX;
		PrimaxRegistrationNo = 0;
		PrimaxWizToTrp = false;
		initflg = true;
	}

	private void buttonOK_Click(object sender, EventArgs e)
	{
		//IL_004b: Unknown result type (might be due to invalid IL or missing references)
		if (primaxToInputCheck())
		{
			if (((ListControl)comboBoxTitle1).SelectedIndex == 0 && ((ListControl)comboBoxTitle2).SelectedIndex == 0 && ((ListControl)comboBoxTitle3).SelectedIndex == 0 && radioButtonNotAddFreq.Checked)
			{
				MessageBox.Show(Resources.ERR_MSG_HEADLINE, Resources.ERR_TITLE_HEADLINE, (MessageBoxButtons)0, (MessageBoxIcon)16);
			}
			else
			{
				((Control)this).Visible = false;
				PrimaxButtonOK = true;
			}
			saveParameter();
		}
	}

	private bool primaxToInputCheck(bool masFlg = true)
	{
		//IL_0060: Unknown result type (might be due to invalid IL or missing references)
		//IL_0166: Unknown result type (might be due to invalid IL or missing references)
		if (PrimaxProcMode == PRIMAX_PROC_MODE.NOT_PRIMAX)
		{
			return true;
		}
		if (registNumSpecifyRadioButton.Checked)
		{
			int num = (int)registrationNo.Value;
			int count = PrimaxOneTouchKeyList.Count;
			if (1 > num || num > count)
			{
				if (masFlg)
				{
					MessageBox.Show(Resources.ERR_MSG_PRIMAX_ONE_TOUCH_KEY_RANGE.Replace("8", count.ToString()), Resources.ERR_TITLE_PRIMAX_ONE_TOUCH_KEY, (MessageBoxButtons)0, (MessageBoxIcon)16);
				}
				return false;
			}
			for (int i = 0; i < PrimaxOneTouchKeyList.Count; i++)
			{
				if (num != PrimaxOneTouchKeyList[i].no || string.IsNullOrEmpty(PrimaxOneTouchKeyList[i].name))
				{
					continue;
				}
				if (PrimaxProcMode == PRIMAX_PROC_MODE.UPDATE && PrimaxRegistrationNo != 0 && num == PrimaxRegistrationNo)
				{
					break;
				}
				if (masFlg)
				{
					string text = "";
					for (int j = 0; j < PrimaxOneTouchKeyList.Count; j++)
					{
						if (string.IsNullOrEmpty(PrimaxOneTouchKeyList[j].name))
						{
							if (!string.IsNullOrEmpty(text))
							{
								text += " ,";
							}
							text += PrimaxOneTouchKeyList[j].no;
						}
					}
					MessageBox.Show(Resources.ERR_MSG_PRIMAX_ONE_TOUCH_KEY_DUPLICATE + "\n" + Resources.PRIMAX_NOW_ONE_TOUCH_KEY_NO + ": " + text, Resources.ERR_TITLE_PRIMAX_ONE_TOUCH_KEY, (MessageBoxButtons)0, (MessageBoxIcon)16);
				}
				return false;
			}
		}
		return true;
	}

	private void FormSettingHeadLine_FormClosing(object sender, FormClosingEventArgs e)
	{
		loadParameter();
		if (!PrimaxWizToTrp && PrimaxProcMode != 0 && !PrimaxButtonOK && !primaxToInputCheck(masFlg: false))
		{
			registNumSpecifyRadioButton.Checked = false;
			registNumNotSpecifyRadioButton.Checked = true;
			registrationNo.Value = 1m;
		}
		((CancelEventArgs)(object)e).Cancel = true;
		((Control)this).Visible = false;
	}

	private void buttonNG_Click(object sender, EventArgs e)
	{
		((Control)this).Visible = false;
	}

	private void registNumSpecifyRadioButton_CheckedChanged(object sender, EventArgs e)
	{
		((Control)registrationNo).Enabled = registNumSpecifyRadioButton.Checked;
		if (PrimaxOneTouchKeyNot)
		{
			((Control)registrationNo).Enabled = false;
		}
	}

	private void setComboboxItems(ObjectCollection combobox, string itemcsv)
	{
		string[] array = itemcsv.Split(new char[1] { ',' });
		foreach (string text in array)
		{
			combobox.Add((object)text);
		}
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		((Form)this).Dispose(disposing);
	}

	private void InitializeComponent()
	{
		//IL_0011: Unknown result type (might be due to invalid IL or missing references)
		//IL_001b: Expected O, but got Unknown
		//IL_001c: Unknown result type (might be due to invalid IL or missing references)
		//IL_0026: Expected O, but got Unknown
		//IL_0027: Unknown result type (might be due to invalid IL or missing references)
		//IL_0031: Expected O, but got Unknown
		//IL_0032: Unknown result type (might be due to invalid IL or missing references)
		//IL_003c: Expected O, but got Unknown
		//IL_003d: Unknown result type (might be due to invalid IL or missing references)
		//IL_0047: Expected O, but got Unknown
		//IL_0048: Unknown result type (might be due to invalid IL or missing references)
		//IL_0052: Expected O, but got Unknown
		//IL_0053: Unknown result type (might be due to invalid IL or missing references)
		//IL_005d: Expected O, but got Unknown
		//IL_005e: Unknown result type (might be due to invalid IL or missing references)
		//IL_0068: Expected O, but got Unknown
		//IL_0069: Unknown result type (might be due to invalid IL or missing references)
		//IL_0073: Expected O, but got Unknown
		//IL_0074: Unknown result type (might be due to invalid IL or missing references)
		//IL_007e: Expected O, but got Unknown
		//IL_007f: Unknown result type (might be due to invalid IL or missing references)
		//IL_0089: Expected O, but got Unknown
		//IL_008a: Unknown result type (might be due to invalid IL or missing references)
		//IL_0094: Expected O, but got Unknown
		//IL_0095: Unknown result type (might be due to invalid IL or missing references)
		//IL_009f: Expected O, but got Unknown
		//IL_00a0: Unknown result type (might be due to invalid IL or missing references)
		//IL_00aa: Expected O, but got Unknown
		//IL_00ab: Unknown result type (might be due to invalid IL or missing references)
		//IL_00b5: Expected O, but got Unknown
		//IL_00b6: Unknown result type (might be due to invalid IL or missing references)
		//IL_00c0: Expected O, but got Unknown
		//IL_00c1: Unknown result type (might be due to invalid IL or missing references)
		//IL_00cb: Expected O, but got Unknown
		//IL_00cc: Unknown result type (might be due to invalid IL or missing references)
		//IL_00d6: Expected O, but got Unknown
		//IL_0179: Unknown result type (might be due to invalid IL or missing references)
		//IL_0183: Expected O, but got Unknown
		//IL_0264: Unknown result type (might be due to invalid IL or missing references)
		//IL_026e: Expected O, but got Unknown
		//IL_034f: Unknown result type (might be due to invalid IL or missing references)
		//IL_0359: Expected O, but got Unknown
		//IL_03da: Unknown result type (might be due to invalid IL or missing references)
		//IL_03e4: Expected O, but got Unknown
		//IL_04d4: Unknown result type (might be due to invalid IL or missing references)
		//IL_04de: Expected O, but got Unknown
		//IL_05b8: Unknown result type (might be due to invalid IL or missing references)
		//IL_05c2: Expected O, but got Unknown
		//IL_0659: Unknown result type (might be due to invalid IL or missing references)
		//IL_0663: Expected O, but got Unknown
		//IL_0702: Unknown result type (might be due to invalid IL or missing references)
		//IL_070c: Expected O, but got Unknown
		//IL_07a4: Unknown result type (might be due to invalid IL or missing references)
		//IL_07ae: Expected O, but got Unknown
		//IL_0842: Unknown result type (might be due to invalid IL or missing references)
		//IL_084c: Expected O, but got Unknown
		//IL_0a67: Unknown result type (might be due to invalid IL or missing references)
		//IL_0a71: Expected O, but got Unknown
		//IL_0c01: Unknown result type (might be due to invalid IL or missing references)
		//IL_0c0b: Expected O, but got Unknown
		//IL_0c3e: Unknown result type (might be due to invalid IL or missing references)
		//IL_0c48: Expected O, but got Unknown
		ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof(FormSettingHeadLine));
		comboBoxTitle1 = new ComboBox();
		label_Title1 = new Label();
		comboBoxTitle2 = new ComboBox();
		label_Title2 = new Label();
		comboBoxTitle3 = new ComboBox();
		label_Title3 = new Label();
		buttonOK = new Button();
		label3 = new Label();
		registrationNo = new NumericUpDown();
		registNumNotSpecifyRadioButton = new RadioButton();
		registNumSpecifyRadioButton = new RadioButton();
		label_AddFreq = new Label();
		radioButtonAddFreq = new RadioButton();
		radioButtonNotAddFreq = new RadioButton();
		label_NumSpecify = new Label();
		panel1 = new Panel();
		panel2 = new Panel();
		buttonNG = new Button();
		((ISupportInitialize)registrationNo).BeginInit();
		((Control)panel1).SuspendLayout();
		((Control)panel2).SuspendLayout();
		((Control)this).SuspendLayout();
		comboBoxTitle1.DropDownStyle = (ComboBoxStyle)2;
		((ListControl)comboBoxTitle1).FormattingEnabled = true;
		((Control)comboBoxTitle1).Location = new Point(105, 60);
		((Control)comboBoxTitle1).Name = "comboBoxTitle1";
		((Control)comboBoxTitle1).Size = new Size(143, 20);
		((Control)comboBoxTitle1).TabIndex = 30;
		((Control)label_Title1).AutoSize = true;
		((Control)label_Title1).Font = new Font("MS UI Gothic", 9f);
		((Control)label_Title1).ForeColor = Color.Blue;
		((Control)label_Title1).Location = new Point(14, 62);
		((Control)label_Title1).Name = "label_Title1";
		((Control)label_Title1).Size = new Size(34, 12);
		((Control)label_Title1).TabIndex = 29;
		((Control)label_Title1).Text = "Title1";
		comboBoxTitle2.DropDownStyle = (ComboBoxStyle)2;
		((ListControl)comboBoxTitle2).FormattingEnabled = true;
		((Control)comboBoxTitle2).Location = new Point(105, 86);
		((Control)comboBoxTitle2).Name = "comboBoxTitle2";
		((Control)comboBoxTitle2).Size = new Size(143, 20);
		((Control)comboBoxTitle2).TabIndex = 32;
		((Control)label_Title2).AutoSize = true;
		((Control)label_Title2).Font = new Font("MS UI Gothic", 9f);
		((Control)label_Title2).ForeColor = Color.Blue;
		((Control)label_Title2).Location = new Point(14, 88);
		((Control)label_Title2).Name = "label_Title2";
		((Control)label_Title2).Size = new Size(34, 12);
		((Control)label_Title2).TabIndex = 31;
		((Control)label_Title2).Text = "Title2";
		comboBoxTitle3.DropDownStyle = (ComboBoxStyle)2;
		((ListControl)comboBoxTitle3).FormattingEnabled = true;
		((Control)comboBoxTitle3).Location = new Point(105, 112);
		((Control)comboBoxTitle3).Name = "comboBoxTitle3";
		((Control)comboBoxTitle3).Size = new Size(143, 20);
		((Control)comboBoxTitle3).TabIndex = 34;
		((Control)label_Title3).AutoSize = true;
		((Control)label_Title3).Font = new Font("MS UI Gothic", 9f);
		((Control)label_Title3).ForeColor = Color.Blue;
		((Control)label_Title3).Location = new Point(14, 114);
		((Control)label_Title3).Name = "label_Title3";
		((Control)label_Title3).Size = new Size(34, 12);
		((Control)label_Title3).TabIndex = 33;
		((Control)label_Title3).Text = "Title3";
		((Control)buttonOK).AutoSize = true;
		((Control)buttonOK).Font = new Font("MS UI Gothic", 9f);
		((Control)buttonOK).Location = new Point(173, 173);
		((Control)buttonOK).Name = "buttonOK";
		((Control)buttonOK).Size = new Size(75, 23);
		((Control)buttonOK).TabIndex = 35;
		((Control)buttonOK).Text = "Done";
		((ButtonBase)buttonOK).UseVisualStyleBackColor = true;
		((Control)buttonOK).Click += buttonOK_Click;
		label3.BorderStyle = (BorderStyle)2;
		((Control)label3).Location = new Point(12, 168);
		((Control)label3).Name = "label3";
		((Control)label3).Size = new Size(236, 2);
		((Control)label3).TabIndex = 40;
		((Control)registrationNo).Enabled = false;
		((Control)registrationNo).Font = new Font("MS UI Gothic", 10f);
		((Control)registrationNo).Location = new Point(105, 34);
		registrationNo.Maximum = new decimal(new int[4] { 50000, 0, 0, 0 });
		registrationNo.Minimum = new decimal(new int[4] { 1, 0, 0, 0 });
		((Control)registrationNo).Name = "registrationNo";
		((Control)registrationNo).Size = new Size(143, 21);
		((Control)registrationNo).TabIndex = 41;
		((UpDownBase)registrationNo).TextAlign = (HorizontalAlignment)1;
		registrationNo.ThousandsSeparator = true;
		registrationNo.Value = new decimal(new int[4] { 1, 0, 0, 0 });
		((Control)registNumNotSpecifyRadioButton).AutoSize = true;
		registNumNotSpecifyRadioButton.Checked = true;
		((Control)registNumNotSpecifyRadioButton).Font = new Font("MS UI Gothic", 9f);
		((ButtonBase)registNumNotSpecifyRadioButton).ImeMode = (ImeMode)0;
		((Control)registNumNotSpecifyRadioButton).Location = new Point(153, 5);
		((Control)registNumNotSpecifyRadioButton).Name = "registNumNotSpecifyRadioButton";
		((Control)registNumNotSpecifyRadioButton).Size = new Size(37, 16);
		((Control)registNumNotSpecifyRadioButton).TabIndex = 44;
		registNumNotSpecifyRadioButton.TabStop = true;
		((Control)registNumNotSpecifyRadioButton).Text = "No";
		((ButtonBase)registNumNotSpecifyRadioButton).UseVisualStyleBackColor = true;
		((Control)registNumSpecifyRadioButton).AutoSize = true;
		((Control)registNumSpecifyRadioButton).Font = new Font("MS UI Gothic", 9f);
		((ButtonBase)registNumSpecifyRadioButton).ImeMode = (ImeMode)0;
		((Control)registNumSpecifyRadioButton).Location = new Point(105, 5);
		((Control)registNumSpecifyRadioButton).Name = "registNumSpecifyRadioButton";
		((Control)registNumSpecifyRadioButton).Size = new Size(42, 16);
		((Control)registNumSpecifyRadioButton).TabIndex = 43;
		((Control)registNumSpecifyRadioButton).Text = "Yes";
		((ButtonBase)registNumSpecifyRadioButton).UseVisualStyleBackColor = true;
		registNumSpecifyRadioButton.CheckedChanged += registNumSpecifyRadioButton_CheckedChanged;
		((Control)label_AddFreq).AutoSize = true;
		((Control)label_AddFreq).Font = new Font("MS UI Gothic", 9f);
		((Control)label_AddFreq).ForeColor = Color.Blue;
		label_AddFreq.ImeMode = (ImeMode)0;
		((Control)label_AddFreq).Location = new Point(11, 6);
		((Control)label_AddFreq).Name = "label_AddFreq";
		((Control)label_AddFreq).Size = new Size(68, 12);
		((Control)label_AddFreq).TabIndex = 37;
		((Control)label_AddFreq).Text = "Add to Freq.";
		((Control)radioButtonAddFreq).AutoSize = true;
		radioButtonAddFreq.Checked = true;
		((Control)radioButtonAddFreq).Font = new Font("MS UI Gothic", 9f);
		((ButtonBase)radioButtonAddFreq).ImeMode = (ImeMode)0;
		((Control)radioButtonAddFreq).Location = new Point(107, 5);
		((Control)radioButtonAddFreq).Name = "radioButtonAddFreq";
		((Control)radioButtonAddFreq).Size = new Size(42, 16);
		((Control)radioButtonAddFreq).TabIndex = 38;
		radioButtonAddFreq.TabStop = true;
		((Control)radioButtonAddFreq).Text = "Yes";
		((ButtonBase)radioButtonAddFreq).UseVisualStyleBackColor = true;
		((Control)radioButtonNotAddFreq).AutoSize = true;
		((Control)radioButtonNotAddFreq).Font = new Font("MS UI Gothic", 9f);
		((ButtonBase)radioButtonNotAddFreq).ImeMode = (ImeMode)0;
		((Control)radioButtonNotAddFreq).Location = new Point(155, 5);
		((Control)radioButtonNotAddFreq).Name = "radioButtonNotAddFreq";
		((Control)radioButtonNotAddFreq).Size = new Size(37, 16);
		((Control)radioButtonNotAddFreq).TabIndex = 39;
		((Control)radioButtonNotAddFreq).Text = "No";
		((ButtonBase)radioButtonNotAddFreq).UseVisualStyleBackColor = true;
		((Control)label_NumSpecify).AutoSize = true;
		((Control)label_NumSpecify).ForeColor = Color.Blue;
		label_NumSpecify.ImeMode = (ImeMode)0;
		((Control)label_NumSpecify).Location = new Point(9, 6);
		((Control)label_NumSpecify).Name = "label_NumSpecify";
		((Control)label_NumSpecify).Size = new Size(63, 12);
		((Control)label_NumSpecify).TabIndex = 42;
		((Control)label_NumSpecify).Text = "No. Specify";
		((Control)panel1).Controls.Add((Control)(object)label_AddFreq);
		((Control)panel1).Controls.Add((Control)(object)radioButtonAddFreq);
		((Control)panel1).Controls.Add((Control)(object)radioButtonNotAddFreq);
		((Control)panel1).Location = new Point(3, 134);
		((Control)panel1).Name = "panel1";
		((Control)panel1).Size = new Size(235, 25);
		((Control)panel1).TabIndex = 45;
		((Control)panel2).Controls.Add((Control)(object)label_NumSpecify);
		((Control)panel2).Controls.Add((Control)(object)registNumSpecifyRadioButton);
		((Control)panel2).Controls.Add((Control)(object)registNumNotSpecifyRadioButton);
		((Control)panel2).Location = new Point(5, 4);
		((Control)panel2).Name = "panel2";
		((Control)panel2).Size = new Size(232, 39);
		((Control)panel2).TabIndex = 46;
		((Control)buttonNG).AutoSize = true;
		((Control)buttonNG).Font = new Font("MS UI Gothic", 9f);
		((Control)buttonNG).Location = new Point(92, 173);
		((Control)buttonNG).Name = "buttonNG";
		((Control)buttonNG).Size = new Size(75, 23);
		((Control)buttonNG).TabIndex = 47;
		((Control)buttonNG).Text = "Done";
		((ButtonBase)buttonNG).UseVisualStyleBackColor = true;
		((Control)buttonNG).Click += buttonNG_Click;
		((Form)this).AcceptButton = (IButtonControl)(object)buttonOK;
		((ContainerControl)this).AutoScaleDimensions = new SizeF(6f, 12f);
		((ContainerControl)this).AutoScaleMode = (AutoScaleMode)1;
		((Form)this).ClientSize = new Size(259, 205);
		((Control)this).Controls.Add((Control)(object)buttonNG);
		((Control)this).Controls.Add((Control)(object)registrationNo);
		((Control)this).Controls.Add((Control)(object)panel2);
		((Control)this).Controls.Add((Control)(object)label3);
		((Control)this).Controls.Add((Control)(object)buttonOK);
		((Control)this).Controls.Add((Control)(object)comboBoxTitle3);
		((Control)this).Controls.Add((Control)(object)label_Title3);
		((Control)this).Controls.Add((Control)(object)comboBoxTitle2);
		((Control)this).Controls.Add((Control)(object)label_Title2);
		((Control)this).Controls.Add((Control)(object)comboBoxTitle1);
		((Control)this).Controls.Add((Control)(object)label_Title1);
		((Control)this).Controls.Add((Control)(object)panel1);
		((Form)this).Icon = (Icon)componentResourceManager.GetObject("$this.Icon");
		((Form)this).MaximizeBox = false;
		((Form)this).MinimizeBox = false;
		((Control)this).Name = "FormSettingHeadLine";
		((Form)this).StartPosition = (FormStartPosition)4;
		((Control)this).Text = "Detail Settings";
		((Form)this).FormClosing += new FormClosingEventHandler(FormSettingHeadLine_FormClosing);
		((ISupportInitialize)registrationNo).EndInit();
		((Control)panel1).ResumeLayout(false);
		((Control)panel1).PerformLayout();
		((Control)panel2).ResumeLayout(false);
		((Control)panel2).PerformLayout();
		((Control)this).ResumeLayout(false);
		((Control)this).PerformLayout();
	}

	private void InitializeComponent_MultiLang()
	{
		//IL_0011: Unknown result type (might be due to invalid IL or missing references)
		//IL_001b: Expected O, but got Unknown
		//IL_001c: Unknown result type (might be due to invalid IL or missing references)
		//IL_0026: Expected O, but got Unknown
		//IL_0027: Unknown result type (might be due to invalid IL or missing references)
		//IL_0031: Expected O, but got Unknown
		//IL_0032: Unknown result type (might be due to invalid IL or missing references)
		//IL_003c: Expected O, but got Unknown
		//IL_003d: Unknown result type (might be due to invalid IL or missing references)
		//IL_0047: Expected O, but got Unknown
		//IL_0048: Unknown result type (might be due to invalid IL or missing references)
		//IL_0052: Expected O, but got Unknown
		//IL_0053: Unknown result type (might be due to invalid IL or missing references)
		//IL_005d: Expected O, but got Unknown
		//IL_005e: Unknown result type (might be due to invalid IL or missing references)
		//IL_0068: Expected O, but got Unknown
		//IL_0069: Unknown result type (might be due to invalid IL or missing references)
		//IL_0073: Expected O, but got Unknown
		//IL_0074: Unknown result type (might be due to invalid IL or missing references)
		//IL_007e: Expected O, but got Unknown
		//IL_007f: Unknown result type (might be due to invalid IL or missing references)
		//IL_0089: Expected O, but got Unknown
		//IL_008a: Unknown result type (might be due to invalid IL or missing references)
		//IL_0094: Expected O, but got Unknown
		//IL_0095: Unknown result type (might be due to invalid IL or missing references)
		//IL_009f: Expected O, but got Unknown
		//IL_00a0: Unknown result type (might be due to invalid IL or missing references)
		//IL_00aa: Expected O, but got Unknown
		//IL_00ab: Unknown result type (might be due to invalid IL or missing references)
		//IL_00b5: Expected O, but got Unknown
		//IL_00b6: Unknown result type (might be due to invalid IL or missing references)
		//IL_00c0: Expected O, but got Unknown
		//IL_00c1: Unknown result type (might be due to invalid IL or missing references)
		//IL_00cb: Expected O, but got Unknown
		//IL_00cc: Unknown result type (might be due to invalid IL or missing references)
		//IL_00d6: Expected O, but got Unknown
		//IL_017c: Unknown result type (might be due to invalid IL or missing references)
		//IL_0186: Expected O, but got Unknown
		//IL_026a: Unknown result type (might be due to invalid IL or missing references)
		//IL_0274: Expected O, but got Unknown
		//IL_0358: Unknown result type (might be due to invalid IL or missing references)
		//IL_0362: Expected O, but got Unknown
		//IL_03e3: Unknown result type (might be due to invalid IL or missing references)
		//IL_03ed: Expected O, but got Unknown
		//IL_0487: Unknown result type (might be due to invalid IL or missing references)
		//IL_0491: Expected O, but got Unknown
		//IL_052b: Unknown result type (might be due to invalid IL or missing references)
		//IL_0535: Expected O, but got Unknown
		//IL_0625: Unknown result type (might be due to invalid IL or missing references)
		//IL_062f: Expected O, but got Unknown
		//IL_070c: Unknown result type (might be due to invalid IL or missing references)
		//IL_0716: Expected O, but got Unknown
		//IL_07ad: Unknown result type (might be due to invalid IL or missing references)
		//IL_07b7: Expected O, but got Unknown
		//IL_0859: Unknown result type (might be due to invalid IL or missing references)
		//IL_0863: Expected O, but got Unknown
		//IL_08fb: Unknown result type (might be due to invalid IL or missing references)
		//IL_0905: Expected O, but got Unknown
		//IL_099c: Unknown result type (might be due to invalid IL or missing references)
		//IL_09a6: Expected O, but got Unknown
		//IL_0cba: Unknown result type (might be due to invalid IL or missing references)
		//IL_0cc4: Expected O, but got Unknown
		//IL_0cf7: Unknown result type (might be due to invalid IL or missing references)
		//IL_0d01: Expected O, but got Unknown
		ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof(FormSettingHeadLine));
		comboBoxTitle1 = new ComboBox();
		label_Title1 = new Label();
		comboBoxTitle2 = new ComboBox();
		label_Title2 = new Label();
		comboBoxTitle3 = new ComboBox();
		label_Title3 = new Label();
		buttonOK = new Button();
		buttonNG = new Button();
		label3 = new Label();
		registrationNo = new NumericUpDown();
		registNumNotSpecifyRadioButton = new RadioButton();
		registNumSpecifyRadioButton = new RadioButton();
		label_AddFreq = new Label();
		radioButtonAddFreq = new RadioButton();
		radioButtonNotAddFreq = new RadioButton();
		label_NumSpecify = new Label();
		panel1 = new Panel();
		panel2 = new Panel();
		((ISupportInitialize)registrationNo).BeginInit();
		((Control)panel1).SuspendLayout();
		((Control)panel2).SuspendLayout();
		((Control)this).SuspendLayout();
		comboBoxTitle1.DropDownStyle = (ComboBoxStyle)2;
		((ListControl)comboBoxTitle1).FormattingEnabled = true;
		((Control)comboBoxTitle1).Location = new Point(255, 60);
		((Control)comboBoxTitle1).Name = "comboBoxTitle1";
		((Control)comboBoxTitle1).Size = new Size(143, 20);
		((Control)comboBoxTitle1).TabIndex = 30;
		((Control)label_Title1).AutoSize = true;
		((Control)label_Title1).Font = new Font("MS UI Gothic", 9f);
		((Control)label_Title1).ForeColor = Color.Blue;
		((Control)label_Title1).Location = new Point(14, 62);
		((Control)label_Title1).Name = "label_Title1";
		((Control)label_Title1).Size = new Size(34, 12);
		((Control)label_Title1).TabIndex = 29;
		((Control)label_Title1).Text = "Title1";
		comboBoxTitle2.DropDownStyle = (ComboBoxStyle)2;
		((ListControl)comboBoxTitle2).FormattingEnabled = true;
		((Control)comboBoxTitle2).Location = new Point(255, 86);
		((Control)comboBoxTitle2).Name = "comboBoxTitle2";
		((Control)comboBoxTitle2).Size = new Size(143, 20);
		((Control)comboBoxTitle2).TabIndex = 32;
		((Control)label_Title2).AutoSize = true;
		((Control)label_Title2).Font = new Font("MS UI Gothic", 9f);
		((Control)label_Title2).ForeColor = Color.Blue;
		((Control)label_Title2).Location = new Point(14, 88);
		((Control)label_Title2).Name = "label_Title2";
		((Control)label_Title2).Size = new Size(34, 12);
		((Control)label_Title2).TabIndex = 31;
		((Control)label_Title2).Text = "Title2";
		comboBoxTitle3.DropDownStyle = (ComboBoxStyle)2;
		((ListControl)comboBoxTitle3).FormattingEnabled = true;
		((Control)comboBoxTitle3).Location = new Point(255, 112);
		((Control)comboBoxTitle3).Name = "comboBoxTitle3";
		((Control)comboBoxTitle3).Size = new Size(143, 20);
		((Control)comboBoxTitle3).TabIndex = 34;
		((Control)label_Title3).AutoSize = true;
		((Control)label_Title3).Font = new Font("MS UI Gothic", 9f);
		((Control)label_Title3).ForeColor = Color.Blue;
		((Control)label_Title3).Location = new Point(14, 114);
		((Control)label_Title3).Name = "label_Title3";
		((Control)label_Title3).Size = new Size(34, 12);
		((Control)label_Title3).TabIndex = 33;
		((Control)label_Title3).Text = "Title3";
		((Control)buttonOK).AutoSize = true;
		((Control)buttonOK).Font = new Font("MS UI Gothic", 9f);
		((Control)buttonOK).Location = new Point(533, 173);
		((Control)buttonOK).Name = "buttonOK";
		((Control)buttonOK).Size = new Size(75, 23);
		((Control)buttonOK).TabIndex = 35;
		((Control)buttonOK).Text = "Done";
		((ButtonBase)buttonOK).UseVisualStyleBackColor = true;
		((Control)buttonOK).Click += buttonOK_Click;
		((Control)buttonNG).AutoSize = true;
		((Control)buttonNG).Font = new Font("MS UI Gothic", 9f);
		((Control)buttonNG).Location = new Point(452, 173);
		((Control)buttonNG).Name = "buttonNG";
		((Control)buttonNG).Size = new Size(75, 23);
		((Control)buttonNG).TabIndex = 47;
		((Control)buttonNG).Text = "Done";
		((ButtonBase)buttonNG).UseVisualStyleBackColor = true;
		((Control)buttonNG).Click += buttonNG_Click;
		((Control)buttonNG).AutoSize = true;
		((Control)buttonNG).Font = new Font("MS UI Gothic", 9f);
		((Control)buttonNG).Location = new Point(452, 173);
		((Control)buttonNG).Name = "buttonNG";
		((Control)buttonNG).Size = new Size(75, 23);
		((Control)buttonNG).TabIndex = 47;
		((Control)buttonNG).Text = "Done";
		((ButtonBase)buttonNG).UseVisualStyleBackColor = true;
		((Control)buttonNG).Click += buttonNG_Click;
		label3.BorderStyle = (BorderStyle)2;
		((Control)label3).Location = new Point(12, 168);
		((Control)label3).Name = "label3";
		((Control)label3).Size = new Size(596, 2);
		((Control)label3).TabIndex = 40;
		((Control)registrationNo).Enabled = false;
		((Control)registrationNo).Font = new Font("MS UI Gothic", 10f);
		((Control)registrationNo).Location = new Point(255, 34);
		registrationNo.Maximum = new decimal(new int[4] { 50000, 0, 0, 0 });
		registrationNo.Minimum = new decimal(new int[4] { 1, 0, 0, 0 });
		((Control)registrationNo).Name = "registrationNo";
		((Control)registrationNo).Size = new Size(143, 21);
		((Control)registrationNo).TabIndex = 41;
		((UpDownBase)registrationNo).TextAlign = (HorizontalAlignment)1;
		registrationNo.ThousandsSeparator = true;
		registrationNo.Value = new decimal(new int[4] { 1, 0, 0, 0 });
		((Control)registNumNotSpecifyRadioButton).AutoSize = true;
		registNumNotSpecifyRadioButton.Checked = true;
		((Control)registNumNotSpecifyRadioButton).Font = new Font("MS UI Gothic", 9f);
		((ButtonBase)registNumNotSpecifyRadioButton).ImeMode = (ImeMode)0;
		((Control)registNumNotSpecifyRadioButton).Location = new Point(433, 5);
		((Control)registNumNotSpecifyRadioButton).Name = "registNumNotSpecifyRadioButton";
		((Control)registNumNotSpecifyRadioButton).Size = new Size(107, 16);
		((Control)registNumNotSpecifyRadioButton).TabIndex = 44;
		registNumNotSpecifyRadioButton.TabStop = true;
		((Control)registNumNotSpecifyRadioButton).Text = "No";
		((ButtonBase)registNumNotSpecifyRadioButton).UseVisualStyleBackColor = true;
		((Control)registNumSpecifyRadioButton).AutoSize = true;
		((Control)registNumSpecifyRadioButton).Font = new Font("MS UI Gothic", 9f);
		((ButtonBase)registNumSpecifyRadioButton).ImeMode = (ImeMode)0;
		((Control)registNumSpecifyRadioButton).Location = new Point(255, 5);
		((Control)registNumSpecifyRadioButton).Name = "registNumSpecifyRadioButton";
		((Control)registNumSpecifyRadioButton).Size = new Size(122, 16);
		((Control)registNumSpecifyRadioButton).TabIndex = 43;
		((Control)registNumSpecifyRadioButton).Text = "Yes";
		((ButtonBase)registNumSpecifyRadioButton).UseVisualStyleBackColor = true;
		registNumSpecifyRadioButton.CheckedChanged += registNumSpecifyRadioButton_CheckedChanged;
		((Control)label_AddFreq).AutoSize = true;
		((Control)label_AddFreq).Font = new Font("MS UI Gothic", 9f);
		((Control)label_AddFreq).ForeColor = Color.Blue;
		label_AddFreq.ImeMode = (ImeMode)0;
		((Control)label_AddFreq).Location = new Point(11, 6);
		((Control)label_AddFreq).Name = "label_AddFreq";
		((Control)label_AddFreq).Size = new Size(68, 12);
		((Control)label_AddFreq).TabIndex = 37;
		((Control)label_AddFreq).Text = "Add to Freq.";
		((Control)radioButtonAddFreq).AutoSize = true;
		radioButtonAddFreq.Checked = true;
		((Control)radioButtonAddFreq).Font = new Font("MS UI Gothic", 9f);
		((ButtonBase)radioButtonAddFreq).ImeMode = (ImeMode)0;
		((Control)radioButtonAddFreq).Location = new Point(257, 5);
		((Control)radioButtonAddFreq).Name = "radioButtonAddFreq";
		((Control)radioButtonAddFreq).Size = new Size(42, 16);
		((Control)radioButtonAddFreq).TabIndex = 38;
		radioButtonAddFreq.TabStop = true;
		((Control)radioButtonAddFreq).Text = "Yes";
		((ButtonBase)radioButtonAddFreq).UseVisualStyleBackColor = true;
		((Control)radioButtonNotAddFreq).AutoSize = true;
		((Control)radioButtonNotAddFreq).Font = new Font("MS UI Gothic", 9f);
		((ButtonBase)radioButtonNotAddFreq).ImeMode = (ImeMode)0;
		((Control)radioButtonNotAddFreq).Location = new Point(355, 5);
		((Control)radioButtonNotAddFreq).Name = "radioButtonNotAddFreq";
		((Control)radioButtonNotAddFreq).Size = new Size(37, 16);
		((Control)radioButtonNotAddFreq).TabIndex = 39;
		((Control)radioButtonNotAddFreq).Text = "No";
		((ButtonBase)radioButtonNotAddFreq).UseVisualStyleBackColor = true;
		((Control)label_NumSpecify).AutoSize = true;
		((Control)label_NumSpecify).ForeColor = Color.Blue;
		label_NumSpecify.ImeMode = (ImeMode)0;
		((Control)label_NumSpecify).Location = new Point(9, 6);
		((Control)label_NumSpecify).Name = "label_NumSpecify";
		((Control)label_NumSpecify).Size = new Size(63, 12);
		((Control)label_NumSpecify).TabIndex = 42;
		((Control)label_NumSpecify).Text = "No. Specify";
		((Control)panel1).Controls.Add((Control)(object)label_AddFreq);
		((Control)panel1).Controls.Add((Control)(object)radioButtonAddFreq);
		((Control)panel1).Controls.Add((Control)(object)radioButtonNotAddFreq);
		((Control)panel1).Location = new Point(3, 134);
		((Control)panel1).Name = "panel1";
		((Control)panel1).Size = new Size(435, 25);
		((Control)panel1).TabIndex = 45;
		((Control)panel2).Controls.Add((Control)(object)label_NumSpecify);
		((Control)panel2).Controls.Add((Control)(object)registNumSpecifyRadioButton);
		((Control)panel2).Controls.Add((Control)(object)registNumNotSpecifyRadioButton);
		((Control)panel2).Location = new Point(5, 4);
		((Control)panel2).Name = "panel2";
		((Control)panel2).Size = new Size(592, 24);
		((Control)panel2).TabIndex = 46;
		((Form)this).AcceptButton = (IButtonControl)(object)buttonOK;
		((ContainerControl)this).AutoScaleDimensions = new SizeF(6f, 12f);
		((ContainerControl)this).AutoScaleMode = (AutoScaleMode)1;
		((Form)this).ClientSize = new Size(619, 205);
		((Control)this).Controls.Add((Control)(object)buttonNG);
		((Control)this).Controls.Add((Control)(object)panel2);
		((Control)this).Controls.Add((Control)(object)registrationNo);
		((Control)this).Controls.Add((Control)(object)label3);
		((Control)this).Controls.Add((Control)(object)buttonOK);
		((Control)this).Controls.Add((Control)(object)comboBoxTitle3);
		((Control)this).Controls.Add((Control)(object)label_Title3);
		((Control)this).Controls.Add((Control)(object)comboBoxTitle2);
		((Control)this).Controls.Add((Control)(object)label_Title2);
		((Control)this).Controls.Add((Control)(object)comboBoxTitle1);
		((Control)this).Controls.Add((Control)(object)label_Title1);
		((Control)this).Controls.Add((Control)(object)panel1);
		((Form)this).Icon = (Icon)componentResourceManager.GetObject("$this.Icon");
		((Form)this).MaximizeBox = false;
		((Form)this).MinimizeBox = false;
		((Control)this).Name = "FormSettingHeadLine";
		((Form)this).StartPosition = (FormStartPosition)4;
		((Control)this).Text = "Detail Settings";
		((Form)this).FormClosing += new FormClosingEventHandler(FormSettingHeadLine_FormClosing);
		((ISupportInitialize)registrationNo).EndInit();
		((Control)panel1).ResumeLayout(false);
		((Control)panel1).PerformLayout();
		((Control)panel2).ResumeLayout(false);
		((Control)panel2).PerformLayout();
		((Control)this).ResumeLayout(false);
		((Control)this).PerformLayout();
	}
}
