using System.ComponentModel;
using System.Drawing;
using System.Reflection;
using System.Windows.Forms;
using CreateFolder.Properties;
using log4net;

namespace CreateFolder;

public class FormSplash : Form
{
	private static readonly ILog LOG = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

	private IContainer components;

	private Label label_ProgressMessage;

	private ProgressBar progressBarStart;

	private Label label_ProgramTitle;

	public string ProgressMsg
	{
		set
		{
			((Control)label_ProgressMessage).Text = value;
			((Form)this).Activate();
		}
	}

	public int ProgressRatio
	{
		set
		{
			progressBarStart.Value = value;
			((Form)this).Activate();
		}
	}

	public FormSplash()
	{
		InitializeComponent();
		progressBarStart.Minimum = 0;
		progressBarStart.Maximum = 100;
		progressBarStart.Value = 25;
		Control[] allControls = CreateFolderUtil.GetAllControls((Control)(object)this);
		CreateFolderUtil.ResetFontToControl(((object)this).GetType().Name, allControls);
		((Control)label_ProgramTitle).Text = Resources.PROGRAM_TITLE;
		((Form)this).Activate();
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		((Form)this).Dispose(disposing);
	}

	private void InitializeComponent()
	{
		//IL_0011: Unknown result type (might be due to invalid IL or missing references)
		//IL_001b: Expected O, but got Unknown
		//IL_001c: Unknown result type (might be due to invalid IL or missing references)
		//IL_0026: Expected O, but got Unknown
		//IL_0027: Unknown result type (might be due to invalid IL or missing references)
		//IL_0031: Expected O, but got Unknown
		//IL_0047: Unknown result type (might be due to invalid IL or missing references)
		//IL_0051: Expected O, but got Unknown
		//IL_013e: Unknown result type (might be due to invalid IL or missing references)
		//IL_0148: Expected O, but got Unknown
		//IL_01db: Unknown result type (might be due to invalid IL or missing references)
		//IL_01e5: Expected O, but got Unknown
		//IL_024e: Unknown result type (might be due to invalid IL or missing references)
		//IL_0258: Expected O, but got Unknown
		ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof(FormSplash));
		label_ProgressMessage = new Label();
		progressBarStart = new ProgressBar();
		label_ProgramTitle = new Label();
		((Control)this).SuspendLayout();
		((Control)label_ProgressMessage).Font = new Font("MS UI Gothic", 9f);
		((Control)label_ProgressMessage).Location = new Point(56, 70);
		((Control)label_ProgressMessage).Name = "label_ProgressMessage";
		((Control)label_ProgressMessage).Size = new Size(289, 17);
		((Control)label_ProgressMessage).TabIndex = 1;
		((Control)label_ProgressMessage).Text = "Reading Environments...";
		label_ProgressMessage.TextAlign = (ContentAlignment)32;
		((Control)label_ProgressMessage).UseWaitCursor = true;
		((Control)progressBarStart).Location = new Point(56, 90);
		((Control)progressBarStart).Name = "progressBarStart";
		((Control)progressBarStart).Size = new Size(289, 13);
		progressBarStart.Step = 25;
		((Control)progressBarStart).TabIndex = 2;
		((Control)progressBarStart).UseWaitCursor = true;
		((Control)label_ProgramTitle).AutoSize = true;
		((Control)label_ProgramTitle).Font = new Font("MS UI Gothic", 13f, (FontStyle)1);
		((Control)label_ProgramTitle).Location = new Point(12, 37);
		((Control)label_ProgramTitle).Name = "label_ProgramTitle";
		((Control)label_ProgramTitle).Size = new Size(47, 18);
		((Control)label_ProgramTitle).TabIndex = 3;
		((Control)label_ProgramTitle).Text = "Title";
		((Control)label_ProgramTitle).UseWaitCursor = true;
		((ContainerControl)this).AutoScaleDimensions = new SizeF(6f, 12f);
		((ContainerControl)this).AutoScaleMode = (AutoScaleMode)1;
		((Control)this).BackColor = SystemColors.Window;
		((Control)this).BackgroundImage = (Image)componentResourceManager.GetObject("$this.BackgroundImage");
		((Control)this).BackgroundImageLayout = (ImageLayout)3;
		((Form)this).ClientSize = new Size(400, 215);
		((Control)this).Controls.Add((Control)(object)label_ProgramTitle);
		((Control)this).Controls.Add((Control)(object)progressBarStart);
		((Control)this).Controls.Add((Control)(object)label_ProgressMessage);
		((Control)this).DoubleBuffered = true;
		((Form)this).FormBorderStyle = (FormBorderStyle)0;
		((Form)this).Icon = (Icon)componentResourceManager.GetObject("$this.Icon");
		((Control)this).Name = "FormSplash";
		((Form)this).StartPosition = (FormStartPosition)1;
		((Control)this).Text = "FormSplash";
		((Form)this).TopMost = true;
		((Control)this).UseWaitCursor = true;
		((Control)this).ResumeLayout(false);
		((Control)this).PerformLayout();
	}
}
