using System;
using System.ComponentModel;
using System.Drawing;
using System.Reflection;
using System.Windows.Forms;
using CreateFolder.Properties;

namespace CreateFolder;

public class FormVersion : Form
{
	private IContainer components;

	private Label label_ToolName;

	private Label labelVersion;

	private Label label_CopyRight;

	private Button buttonOK;

	private string AssemblyVersion => Assembly.GetExecutingAssembly().GetName().Version.ToString();

	public FormVersion()
	{
		InitializeComponent();
		Control[] allControls = CreateFolderUtil.GetAllControls((Control)(object)this);
		CreateFolderUtil.ResetFontToControl(((object)this).GetType().Name, allControls);
		((Control)this).Text = Resources.FORM_VERSION_CAPTION;
		((Control)label_ToolName).Text = Resources.PROGRAM_TITLE;
		((Control)labelVersion).Text = Resources.VERSION + AssemblyVersion;
	}

	private void buttonOK_Click(object sender, EventArgs e)
	{
		((Form)this).Close();
	}

	protected override void Dispose(bool disposing)
	{
		if (disposing && components != null)
		{
			components.Dispose();
		}
		((Form)this).Dispose(disposing);
	}

	private void InitializeComponent()
	{
		//IL_0011: Unknown result type (might be due to invalid IL or missing references)
		//IL_001b: Expected O, but got Unknown
		//IL_001c: Unknown result type (might be due to invalid IL or missing references)
		//IL_0026: Expected O, but got Unknown
		//IL_0027: Unknown result type (might be due to invalid IL or missing references)
		//IL_0031: Expected O, but got Unknown
		//IL_0032: Unknown result type (might be due to invalid IL or missing references)
		//IL_003c: Expected O, but got Unknown
		//IL_005f: Unknown result type (might be due to invalid IL or missing references)
		//IL_0069: Expected O, but got Unknown
		//IL_01a8: Unknown result type (might be due to invalid IL or missing references)
		//IL_01b2: Expected O, but got Unknown
		//IL_02b7: Unknown result type (might be due to invalid IL or missing references)
		//IL_02c1: Expected O, but got Unknown
		ComponentResourceManager componentResourceManager = new ComponentResourceManager(typeof(FormVersion));
		label_ToolName = new Label();
		labelVersion = new Label();
		label_CopyRight = new Label();
		buttonOK = new Button();
		((Control)this).SuspendLayout();
		((Control)label_ToolName).AutoSize = true;
		((Control)label_ToolName).Font = new Font("MS UI Gothic", 12f, (FontStyle)1);
		((Control)label_ToolName).Location = new Point(20, 15);
		((Control)label_ToolName).Name = "label_ToolName";
		((Control)label_ToolName).Size = new Size(86, 16);
		((Control)label_ToolName).TabIndex = 0;
		((Control)label_ToolName).Text = "Tool name";
		((Control)labelVersion).AutoSize = true;
		((Control)labelVersion).Location = new Point(20, 57);
		((Control)labelVersion).Name = "labelVersion";
		((Control)labelVersion).Size = new Size(50, 12);
		((Control)labelVersion).TabIndex = 1;
		((Control)labelVersion).Text = "Version：";
		((Control)label_CopyRight).AutoSize = true;
		label_CopyRight.ImeMode = (ImeMode)0;
		((Control)label_CopyRight).Location = new Point(20, 93);
		((Control)label_CopyRight).Name = "label_CopyRight";
		((Control)label_CopyRight).Size = new Size(319, 12);
		((Control)label_CopyRight).TabIndex = 3;
		((Control)label_CopyRight).Text = "Copyright (C) 2023 Ricoh Company, Ltd. All Rights Reserved.\r\n";
		((Control)buttonOK).AutoSize = true;
		((Control)buttonOK).Font = new Font("MS UI Gothic", 9f);
		((Control)buttonOK).Location = new Point(144, 135);
		((Control)buttonOK).Name = "buttonOK";
		((Control)buttonOK).Size = new Size(75, 23);
		((Control)buttonOK).TabIndex = 5;
		((Control)buttonOK).Text = "OK";
		((ButtonBase)buttonOK).UseVisualStyleBackColor = true;
		((Control)buttonOK).Click += buttonOK_Click;
		((ContainerControl)this).AutoScaleDimensions = new SizeF(6f, 12f);
		((ContainerControl)this).AutoScaleMode = (AutoScaleMode)1;
		((Form)this).ClientSize = new Size(362, 170);
		((Control)this).Controls.Add((Control)(object)buttonOK);
		((Control)this).Controls.Add((Control)(object)label_CopyRight);
		((Control)this).Controls.Add((Control)(object)labelVersion);
		((Control)this).Controls.Add((Control)(object)label_ToolName);
		((Form)this).FormBorderStyle = (FormBorderStyle)3;
		((Form)this).Icon = (Icon)componentResourceManager.GetObject("$this.Icon");
		((Form)this).MaximizeBox = false;
		((Form)this).MinimizeBox = false;
		((Control)this).Name = "FormVersion";
		((Form)this).StartPosition = (FormStartPosition)4;
		((Control)this).Text = "Version";
		((Control)this).ResumeLayout(false);
		((Control)this).PerformLayout();
	}
}
