using System;
using System.Diagnostics;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Windows.Forms;
using log4net;

namespace CreateFolder;

internal class NextButton : Button
{
	private static readonly ILog LOG = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

	protected override async void OnClick(EventArgs e)
	{
		LOG.DebugFormat("{0}：start", (object)MethodBase.GetCurrentMethod().DeclaringType.Name);
		LOG.DebugFormat("{0}：NEXT BUTTON PUSH Before NowState:{1}", (object)MethodBase.GetCurrentMethod().DeclaringType.Name, (object)StateMachine.NowState);
		((Control)this).Cursor = Cursors.WaitCursor;
		try
		{
			Console.WriteLine("OnClick NextButton:");
			Console.WriteLine("before StateMachine.NowState:" + StateMachine.NowState);
			Console.WriteLine("before StateMachine.NextState:" + StateMachine.NextState);
			try
			{
				_003C_003En__0(e);
			}
			catch (Exception ex)
			{
				LOG.DebugFormat("{0}：Exception {1}", (object)MethodBase.GetCurrentMethod().DeclaringType.Name, (object)ex.ToString());
				return;
			}
			await StateMachine.execute(StateMachine.EventType.NEXT);
			((FormWizard)(object)((Control)this).FindForm()).panelChange(StateMachine.NowState, StateMachine.NextState);
			LOG.DebugFormat("{0}：NEXT BUTTON PUSH After Change State:{1} -> {2}", (object)MethodBase.GetCurrentMethod().DeclaringType.Name, (object)StateMachine.NowState, (object)StateMachine.NextState);
			StateMachine.NowState = StateMachine.NextState;
			Console.WriteLine("after StateMachine.NowState:" + StateMachine.NowState);
			Console.WriteLine("after StateMachine.NextState:" + StateMachine.NextState);
		}
		finally
		{
			((Control)this).Cursor = Cursors.Default;
			LOG.DebugFormat("{0}：end", (object)MethodBase.GetCurrentMethod().DeclaringType.Name);
		}
	}

	[CompilerGenerated]
	[DebuggerHidden]
	private void _003C_003En__0(EventArgs e)
	{
		((Button)this).OnClick(e);
	}
}
