using System;
using System.Diagnostics;
using System.Drawing;
using System.Reflection;
using System.Text;
using System.Windows.Forms;
using CreateFolder.Properties;
using log4net;

namespace CreateFolder;

internal class PasswordCheck
{
	private static readonly ILog LOG = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

	public void checkPassword(string password, string passwordConfirm, string textBoxName, string lang, string errorMsg = "")
	{
		//IL_0399: Unknown result type (might be due to invalid IL or missing references)
		//IL_039f: Unknown result type (might be due to invalid IL or missing references)
		//IL_03a1: Invalid comparison between Unknown and I4
		//IL_0066: Unknown result type (might be due to invalid IL or missing references)
		//IL_0177: Unknown result type (might be due to invalid IL or missing references)
		//IL_017c: Unknown result type (might be due to invalid IL or missing references)
		//IL_017d: Unknown result type (might be due to invalid IL or missing references)
		//IL_017f: Invalid comparison between Unknown and I4
		//IL_00df: Unknown result type (might be due to invalid IL or missing references)
		//IL_00a6: Unknown result type (might be due to invalid IL or missing references)
		//IL_023d: Unknown result type (might be due to invalid IL or missing references)
		//IL_0242: Unknown result type (might be due to invalid IL or missing references)
		//IL_0243: Unknown result type (might be due to invalid IL or missing references)
		//IL_0245: Invalid comparison between Unknown and I4
		LOG.DebugFormat("{0}：start", (object)MethodBase.GetCurrentMethod().Name);
		string text = (password.Equals(Resources.TXT_P3_INITIAL_001) ? string.Empty : password);
		if (!(passwordConfirm.Equals(Resources.TXT_P3_INITIAL_002) ? string.Empty : passwordConfirm).Equals(text))
		{
			if (string.IsNullOrEmpty(errorMsg))
			{
				errorMsg = Resources.PASSWORD_MISMATCH_CONFIRMATION_ERROR_TEXT;
			}
			MessageBox.Show(errorMsg, Resources.PASSWORD_ERROR_CAPTION, (MessageBoxButtons)0, (MessageBoxIcon)16);
			throw new Exception("input error. " + textBoxName);
		}
		if (!string.IsNullOrEmpty(text))
		{
			if (Encoding.GetEncoding("Shift_JIS").GetByteCount(text) > 64)
			{
				MessageBox.Show(Resources.PASSWORD_LENGTH_ERROR_TEXT, Resources.PASSWORD_ERROR_CAPTION, (MessageBoxButtons)0, (MessageBoxIcon)16);
				throw new Exception("input error. " + textBoxName);
			}
			return;
		}
		FormSetup formSetup = new FormSetup(lang);
		FormSetup.BlankPasswordAllowed = false;
		if (formSetup.isPCDomain())
		{
			MessageBox.Show(Resources.ASK_TO_SET_PASSWORD_FOR_PC_BELONGING_DOMAIN, Resources.ASK_TO_SET_PASSWORD_FOR_PC_BELONGING_DOMAIN_CAPTION, (MessageBoxButtons)0, (MessageBoxIcon)16);
			throw new Exception("input error Domain User. " + textBoxName);
		}
		string text2 = $"{Resources.ASK_TO_SET_PASSWORD_FOR_SECURENESS_01}{Resources.ASK_TO_SET_PASSWORD_FOR_SECURENESS_02}{Resources.ASK_TO_SET_PASSWORD_FOR_SECURENESS_03}[{Resources.BUTTON_CLOSE}]{Resources.ASK_TO_SET_PASSWORD_FOR_SECURENESS_05}\n\n\n{Resources.SECURITY_DIALOG_MESSAGE_01}[{Resources.BUTTON_CONTINUE}]{Resources.ASK_TO_SET_PASSWORD_FOR_SECURENESS_05}\n";
		string aSK_TO_SET_PASSWORD_FOR_SECURENESS_CAPTION = Resources.ASK_TO_SET_PASSWORD_FOR_SECURENESS_CAPTION;
		DialogResult val = new CustomizableMessageBox
		{
			ButtonText = 
			{
				OK = Resources.BUTTON_CONTINUE,
				Cancel = Resources.BUTTON_CLOSE
			}
		}.Show(text2, aSK_TO_SET_PASSWORD_FOR_SECURENESS_CAPTION, (MessageBoxButtons)1, (MessageBoxIcon)48);
		if ((int)val == 1)
		{
			CustomDialogBox customDialogBox = new CustomDialogBox();
			customDialogBox.SetIcon(SystemIcons.Exclamation);
			customDialogBox.SetMessageBoxSize(550, 350);
			customDialogBox.SetHangingIndent(0);
			customDialogBox.SetMesages($"\n{Resources.SECURITY_DIALOG_MESSAGE_01}{Resources.SECURITY_DIALOG_MESSAGE_02}{Resources.SECURITY_DIALOG_MESSAGE_03}\n\n\n");
			customDialogBox.SetUnderLineMode(sw: true);
			customDialogBox.SetMesages($"{Resources.SECURITY_DIALOG_MESSAGE_04}\n");
			customDialogBox.SetUnderLineMode(sw: false);
			customDialogBox.SetSelectionBullet(sw: true, 10);
			customDialogBox.SetMesages($"{Resources.SECURITY_DIALOG_MESSAGE_05}\n{Resources.SECURITY_DIALOG_MESSAGE_06}\n");
			customDialogBox.SetSelectionBullet(sw: false);
			customDialogBox.SetMesages($"\n\n{Resources.SECURITY_DIALOG_MESSAGE_07}{Resources.SECURITY_DIALOG_MESSAGE_08}\n\n{Resources.SECURITY_AGREEMENT_03}\n");
			customDialogBox.ResizeWindow();
			val = ((Form)customDialogBox).ShowDialog();
			if ((int)val == 1)
			{
				try
				{
					LOG.InfoFormat("{0}：パスワード保護共有呼び出し", (object)MethodBase.GetCurrentMethod().DeclaringType.Name);
					Process.Start(new ProcessStartInfo
					{
						FileName = "control.exe",
						Arguments = "/name Microsoft.NetworkAndSharingCenter /page Advanced",
						UseShellExecute = true
					});
					LOG.InfoFormat("{0}：パスワード保護共有呼び出し終了", (object)MethodBase.GetCurrentMethod().DeclaringType.Name);
				}
				catch (Exception ex)
				{
					LOG.ErrorFormat("{0}：パスワード保護共有呼び出しでエラー Exception = {1}", (object)MethodBase.GetCurrentMethod().DeclaringType.Name, (object)ex.ToString());
				}
				CustomDialogBox customDialogBox2 = new CustomDialogBox();
				customDialogBox2.SetIcon(SystemIcons.Exclamation);
				customDialogBox2.SetMessageBoxSize(550, 430);
				customDialogBox2.SetHangingIndent(0);
				customDialogBox2.SetMesages($"\n{Resources.SECURITY_DIALOG_MESSAGE_11}\n\n\n");
				customDialogBox2.SetUnderLineMode(sw: true);
				customDialogBox2.SetMesages($"{Resources.SECURITY_DIALOG_MESSAGE_12}\n");
				customDialogBox2.SetUnderLineMode(sw: false);
				customDialogBox2.SetHangingIndent(40);
				customDialogBox2.SetMesages($" {Resources.SECURITY_DIALOG_MESSAGE_13}\n {Resources.SECURITY_DIALOG_MESSAGE_14}\n {Resources.SECURITY_DIALOG_MESSAGE_15}\n {Resources.SECURITY_DIALOG_MESSAGE_16}\n {Resources.SECURITY_DIALOG_MESSAGE_17}\n");
				customDialogBox2.HideAgreeButton();
				customDialogBox2.ResizeWindow();
				((Form)customDialogBox2).ShowDialog();
			}
		}
		if ((int)val != 2)
		{
			return;
		}
		throw new Exception("Cancel PassWord set. " + textBoxName);
	}
}
