using System;
using System.Globalization;
using System.Reflection;
using System.ServiceProcess;
using System.Threading;
using System.Windows.Forms;
using CreateFolder.Properties;
using log4net;

namespace CreateFolder;

internal static class Program
{
	private static DateTime expirationDate = new DateTime(2018, 12, 31, 23, 59, 59);

	private static DateTime checkFirstDate = new DateTime(2019, 1, 1, 0, 0, 0);

	private static readonly ILog LOG = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

	[STAThread]
	private static void Main(string[] args)
	{
		//IL_0116: Unknown result type (might be due to invalid IL or missing references)
		if (args.Length != 0)
		{
			try
			{
				Thread.CurrentThread.CurrentUICulture = new CultureInfo(args[0]);
				Application.CurrentCulture = new CultureInfo(args[0]);
			}
			catch (Exception ex)
			{
				LOG.ErrorFormat("Unkown Culture:{0}\n{1}", (object)args[0], (object)ex.ToString());
			}
		}
		Resources.Culture = Application.CurrentCulture;
		Application.EnableVisualStyles();
		Application.SetCompatibleTextRenderingDefault(false);
		string winVersion = getWinVersion();
		string text = Assembly.GetExecutingAssembly().GetName().Version.ToString();
		LOG.InfoFormat("Culture: [{0}]", (object)Thread.CurrentThread.CurrentUICulture.Name);
		LOG.InfoFormat("{0}：########### Program Start. Program Version = {1} / OS Version = {2} / firstDay ={3}", new object[4]
		{
			MethodBase.GetCurrentMethod().Name,
			text,
			winVersion,
			CryptFolder.EncryptString(checkFirstDate.ToShortDateString(), expirationDate.ToShortDateString())
		});
		string text2 = "Server";
		if (!isRunning(text2))
		{
			MessageBox.Show($"{Resources.WINDOWS_SERVICE_DOWN_01}[ {text2} ]{Resources.WINDOWS_SERVICE_DOWN_02}{Resources.WINDOWS_SERVICE_DOWN_03}", Resources.WINDOWS_SERVICE_DOWN_CAPTION, (MessageBoxButtons)0, (MessageBoxIcon)16);
			return;
		}
		try
		{
			Application.Run((Form)(object)new FormWizard());
		}
		catch (Exception ex2)
		{
			LOG.InfoFormat("{0}：########### Program End.\n{1}", (object)MethodBase.GetCurrentMethod().Name, (object)ex2.ToString());
		}
	}

	private static string getWinVersion()
	{
		_ = string.Empty;
		OperatingSystem oSVersion = Environment.OSVersion;
		Console.WriteLine(oSVersion.ToString());
		Console.WriteLine(oSVersion.VersionString);
		Console.WriteLine(oSVersion.Version.ToString());
		Console.WriteLine(oSVersion.Platform);
		Console.WriteLine(oSVersion.Version.Major);
		Console.WriteLine(oSVersion.Version.Minor);
		Console.WriteLine(oSVersion.Version.Build);
		Console.WriteLine(oSVersion.Version.Revision);
		Console.WriteLine(oSVersion.ServicePack);
		Console.WriteLine(oSVersion.Version.MajorRevision);
		Console.WriteLine(oSVersion.Version.MinorRevision);
		return oSVersion.Version.Major + "." + oSVersion.Version.Minor;
	}

	private static bool isRunning(string serviceName)
	{
		//IL_0071: Unknown result type (might be due to invalid IL or missing references)
		//IL_0080: Unknown result type (might be due to invalid IL or missing references)
		//IL_00d3: Unknown result type (might be due to invalid IL or missing references)
		//IL_00e2: Unknown result type (might be due to invalid IL or missing references)
		//IL_00f4: Unknown result type (might be due to invalid IL or missing references)
		//IL_00f9: Unknown result type (might be due to invalid IL or missing references)
		LOG.DebugFormat("{0}： START - - - - - - - - - - - - - - - - - - - - - - - - - - ", (object)MethodBase.GetCurrentMethod().Name);
		bool result = true;
		ServiceController[] services = ServiceController.GetServices();
		int num = 0;
		ServiceController[] array = services;
		foreach (ServiceController val in array)
		{
			num++;
			if (val.DisplayName.Equals(serviceName))
			{
				Console.WriteLine($"[{num}]: \"DisplayName = {val.DisplayName}\" \"ServiceName = {val.ServiceName}\" \"ServiceType = {val.ServiceType}\" \"Status = {val.Status}\"");
				LOG.DebugFormat("{0}： [{1}]: \"DisplayName = {2}\" \"ServiceName = {3}\" \"ServiceType = {4}\" \"Status = {5}\"", new object[6]
				{
					MethodBase.GetCurrentMethod().Name,
					num,
					val.DisplayName,
					val.ServiceName,
					val.ServiceType,
					val.Status
				});
				ServiceControllerStatus status = val.Status;
				result = (((object)(ServiceControllerStatus)(ref status)).ToString().Equals("Running") ? true : false);
			}
		}
		LOG.DebugFormat("{0}： END - - - - - - - - - - - - - - - - - - - - - - - - - - ", (object)MethodBase.GetCurrentMethod().Name);
		return result;
	}
}
