using System;
using System.Collections.Generic;
using System.Reflection;
using log4net;

namespace CreateFolder;

internal class UserInfoComparer : IEqualityComparer<UserInfo>
{
	private static readonly ILog LOG = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

	public bool Equals(UserInfo x, UserInfo y)
	{
		if (x == y)
		{
			return true;
		}
		if (x == null || y == null)
		{
			return false;
		}
		bool flag = string.Equals(x.ParentName, y.ParentName, StringComparison.OrdinalIgnoreCase);
		bool flag2 = string.Equals(x.Name, y.Name, StringComparison.OrdinalIgnoreCase);
		LOG.DebugFormat("{0} # Domain({1}){2}<>{3} # User({4}){5}<>{6}", new object[7]
		{
			(flag && flag2) ? "-" : "x",
			flag ? "-" : "x",
			x.ParentName,
			y.ParentName,
			flag2 ? "-" : "x",
			x.Name,
			y.Name
		});
		return flag && flag2;
	}

	public int GetHashCode(UserInfo userInfo)
	{
		if (userInfo == null)
		{
			return 0;
		}
		int hashCode = userInfo.ParentName.GetHashCode();
		int num = ((userInfo.Name != null) ? userInfo.Name.GetHashCode() : 0);
		return hashCode ^ num;
	}
}
