using System;
using System.Management;
using System.Reflection;
using log4net;

namespace CreateFolder;

public class WmiManager
{
	private static readonly ILog LOG = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

	public static string GetUserName()
	{
		//IL_0031: Unknown result type (might be due to invalid IL or missing references)
		LOG.DebugFormat("{0}：start", (object)MethodBase.GetCurrentMethod().Name);
		ManagementObjectEnumerator enumerator = WMIGetter("SELECT * FROM Win32_ComputerSystem").GetEnumerator();
		try
		{
			while (enumerator.MoveNext())
			{
				object obj = ((ManagementBaseObject)(ManagementObject)enumerator.Current)["UserName"];
				if (obj != null)
				{
					Console.WriteLine("Current Logon User : {0}", obj);
					LOG.DebugFormat("Current Logon User : {0}", obj);
					LOG.DebugFormat("{0}：end", (object)MethodBase.GetCurrentMethod().Name);
					return obj.ToString();
				}
			}
		}
		finally
		{
			((IDisposable)enumerator)?.Dispose();
		}
		Console.WriteLine("Can't get current logon user.");
		LOG.DebugFormat("Can't get current logon user.", new object[0]);
		LOG.DebugFormat("{0}：end", (object)MethodBase.GetCurrentMethod().Name);
		return Environment.UserDomainName + "\\" + Environment.UserName;
	}

	public static ManagementObjectCollection WMIGetter(string query)
	{
		//IL_0034: Unknown result type (might be due to invalid IL or missing references)
		//IL_0039: Unknown result type (might be due to invalid IL or missing references)
		LOG.DebugFormat("{0}：start", (object)MethodBase.GetCurrentMethod().Name);
		Console.WriteLine("Query : {0}", query);
		LOG.DebugFormat("Query : {0}", (object)query);
		ManagementObjectSearcher val = new ManagementObjectSearcher();
		((ManagementQuery)val.Query).QueryString = query;
		ManagementObjectCollection result = val.Get();
		LOG.DebugFormat("{0}：end", (object)MethodBase.GetCurrentMethod().Name);
		return result;
	}
}
